<?php

// Generates the form inputs related to mt icons
function quad_icomoon_icons_param_settings_field($settings, $value) {
// Gets the list of icons
    $icons_list = quad_icons_listing();
    $output = '<div class="quad_fa_icons_param_block">
            <div class="quad_icon_container"><span class="' . sanitize_html_class($value) . '" id="quad_selected_icon"></span></div>
            <input id="quad_icon_input" name="' . esc_attr($settings ['param_name'])
            . '" class="icon_input wpb_vc_param_value wpb-textinput '
            . esc_attr($settings['param_name']) . ' ' . esc_attr($settings['type']) . '_field" type="text" value="'
            . esc_attr($value) . '" onchange="quad_selected_icon_display()" />
            <button class="vc_btn vc_btn-primary" onclick="quad_icon_clear_selection()" >' . esc_html__('Clear', 'quad-shortcodes') . '</button>
            <br><div id="quad_icons_list">';
    foreach ($icons_list as $icon_class) {
        $output.='<span class="' . $icon_class . '" onclick="quad_icon_change(this)"></span>';
    }
    $output.='</div></div>';
    return $output;
}

vc_add_shortcode_param('quad_icomoon_icons_param', 'quad_icomoon_icons_param_settings_field');

// Generates the form inputs related to font awesome icons
function quad_fa_icons_param_settings_field($settings, $value) {
    return '<div class="quad_fa_icons_param_block">
            <i class="' . sanitize_html_class($value) . '" id="quad_selected_icon"></i>
            <input id="quad_icon_input" name="' . esc_attr($settings ['param_name'])
            . '" class="wpb_vc_param_value wpb-textinput '
            . sanitize_html_class($settings['param_name']) . ' ' . sanitize_html_class($settings['type']) . '_field" type="text" value="'
            . esc_attr($value) . '" size="10" />
            <br><div id="quad_icons_list_fa">
            <i class="fa fa-facebook" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-twitter" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-dribbble" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-pinterest" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-google-plus" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-tumblr" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-instagram" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-rss" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-linkedin" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-skype" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-flickr" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-vimeo-square" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-github" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-youtube" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-windows" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-dropbox" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-xing" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-adn" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-android" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-apple" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-behance" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-bitbucket" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-bitcoin" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-codepen" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-css3" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-delicious" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-deviantart" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-digg" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-drupal" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-empire" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-foursquare" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-git" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-gittip" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-hacker-news" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-html5" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-joomla" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-jsfiddle" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-linux" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-maxcdn" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-openid" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-pagelines" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-pied-piper" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-qq" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-rebel" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-reddit" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-renren" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-share" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-slack" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-soundcloud" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-spotify" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-stack-exchange" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-stack-overflow" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-steam" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-stumbleupon" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-tencent-weibo" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-trello" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-vine" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-vk" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-wechat" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-weibo" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-wordpress" onclick="quad_icon_change(this)"></i>
            <i class="fa fa-yahoo" onclick="quad_icon_change(this)"></i>
            </div></div>';
}

vc_add_shortcode_param('quad_fa_icons_param', 'quad_fa_icons_param_settings_field');

function quad_icons_listing() {
    return array('ifc-zoom_out',
        'ifc-zoom_in',
        'ifc-zip',
        'ifc-xls',
        'ifc-xlarge_icons',
        'ifc-workstation',
        'ifc-workflow',
        'ifc-word',
        'ifc-windows_client',
        'ifc-wifi_logo',
        'ifc-wifi_direct',
        'ifc-wifi',
        'ifc-whole_hand',
        'ifc-week_view',
        'ifc-wedding_rings',
        'ifc-wedding_photo',
        'ifc-wedding_day',
        'ifc-web_shield',
        'ifc-web_camera',
        'ifc-waypoint_map',
        'ifc-waxing_gibbous',
        'ifc-waxing_crescent',
        'ifc-wav',
        'ifc-water',
        'ifc-watch',
        'ifc-washing_machine',
        'ifc-warning_shield',
        'ifc-waning_gibbous',
        'ifc-waning_crescent',
        'ifc-wallet',
        'ifc-wacom_tablet',
        'ifc-vpn',
        'ifc-volleyball',
        'ifc-voip_gateway',
        'ifc-vkontakte',
        'ifc-visa',
        'ifc-virtual_mashine',
        'ifc-virtual_machine',
        'ifc-video_camera',
        'ifc-vector',
        'ifc-variable',
        'ifc-user_male4',
        'ifc-user_male3',
        'ifc-user_male2',
        'ifc-user_male',
        'ifc-user_female4',
        'ifc-user_female3',
        'ifc-user_female2',
        'ifc-user_female',
        'ifc-USD',
        'ifc-uppercase',
        'ifc-upload2_filled',
        'ifc-upload2',
        'ifc-upload_filled',
        'ifc-upload',
        'ifc-update',
        'ifc-up4',
        'ifc-up3',
        'ifc-up2',
        'ifc-up_right',
        'ifc-up_left',
        'ifc-up',
        'ifc-unlock',
        'ifc-unicast',
        'ifc-undo',
        'ifc-underline',
        'ifc-umbrella_filled',
        'ifc-umbrella',
        'ifc-type',
        'ifc-txt',
        'ifc-two_smartphones',
        'ifc-twitter',
        'ifc-tv_show',
        'ifc-tv',
        'ifc-tumbler',
        'ifc-ttf',
        'ifc-trophy',
        'ifc-treasury_map',
        'ifc-trash2',
        'ifc-trash',
        'ifc-transistor',
        'ifc-torah',
        'ifc-toolbox',
        'ifc-tones',
        'ifc-today',
        'ifc-timezone-12',
        'ifc-timezone-11',
        'ifc-timezone-10',
        'ifc-timezone-9',
        'ifc-timezone-8',
        'ifc-timezone-7',
        'ifc-timezone-6',
        'ifc-timezone-5',
        'ifc-timezone-4',
        'ifc-timezone-3',
        'ifc-timezone-2',
        'ifc-timezone-1',
        'ifc-timezone_utc',
        'ifc-timezone_12',
        'ifc-timezone_11',
        'ifc-timezone_10',
        'ifc-timezone_9',
        'ifc-timezone_8',
        'ifc-timezone_7',
        'ifc-timezone_6',
        'ifc-timezone_5',
        'ifc-timezone_4',
        'ifc-timezone_3',
        'ifc-timezone_2',
        'ifc-timezone_1',
        'ifc-timezone',
        'ifc-timer',
        'ifc-tif',
        'ifc-thumb_up',
        'ifc-thumb_down',
        'ifc-this_way_up',
        'ifc-text_color',
        'ifc-temperature',
        'ifc-tea',
        'ifc-tar',
        'ifc-talk',
        'ifc-tails',
        'ifc-table',
        'ifc-switch_camera_filled',
        'ifc-switch_camera',
        'ifc-switch',
        'ifc-swipe_up',
        'ifc-swipe_right',
        'ifc-swipe_left',
        'ifc-swipe_down',
        'ifc-swimming',
        'ifc-surface',
        'ifc-sun',
        'ifc-summer',
        'ifc-student',
        'ifc-strikethrough',
        'ifc-storm',
        'ifc-stopwatch',
        'ifc-stepper_motor',
        'ifc-stack_of_photos',
        'ifc-stack',
        'ifc-ssd',
        'ifc-speedometer',
        'ifc-speech_bubble',
        'ifc-south_direction',
        'ifc-smartphone_tablet',
        'ifc-small_lens',
        'ifc-small_icons',
        'ifc-slr_small_lens',
        'ifc-slr_large_lens',
        'ifc-slr_camera2_filled',
        'ifc-slr_camera2',
        'ifc-slr_camera_body',
        'ifc-slr_camera',
        'ifc-slr_back_side',
        'ifc-sling_here',
        'ifc-sleet',
        'ifc-slave',
        'ifc-skype',
        'ifc-skip_to_start',
        'ifc-shuffle',
        'ifc-shopping_cart_loaded',
        'ifc-shopping_cart_empty',
        'ifc-shopping_basket',
        'ifc-shop',
        'ifc-shield',
        'ifc-shared',
        'ifc-settings3',
        'ifc-settings2',
        'ifc-settings',
        'ifc-server',
        'ifc-sent',
        'ifc-sensor',
        'ifc-sell',
        'ifc-SEK',
        'ifc-security_ssl',
        'ifc-security_checked',
        'ifc-security_aes',
        'ifc-search',
        'ifc-sea_waves',
        'ifc-scrolling',
        'ifc-screwdriver',
        'ifc-scales_of_Balance',
        'ifc-sale',
        'ifc-sagittarius',
        'ifc-safari',
        'ifc-sad',
        'ifc-running_rabbit',
        'ifc-running',
        'ifc-run_command',
        'ifc-rugby',
        'ifc-rucksach',
        'ifc-rss',
        'ifc-router',
        'ifc-rotation_cw',
        'ifc-rotation_ccw',
        'ifc-rotate_to_portrait',
        'ifc-rotate_to_landscape',
        'ifc-rotate_camera',
        'ifc-rook',
        'ifc-right3',
        'ifc-right2',
        'ifc-right_click',
        'ifc-right',
        'ifc-rfid_tag',
        'ifc-rfid_signal',
        'ifc-rfid_sensor',
        'ifc-rewind',
        'ifc-resize',
        'ifc-replay',
        'ifc-repeat',
        'ifc-rename',
        'ifc-remove_user',
        'ifc-remove_image',
        'ifc-remote_working',
        'ifc-reload',
        'ifc-relay',
        'ifc-register_editor',
        'ifc-redo',
        'ifc-red_hat',
        'ifc-recycle_sign_filled',
        'ifc-recycle_sign',
        'ifc-read_message',
        'ifc-rar',
        'ifc-radio_tower',
        'ifc-radar_plot',
        'ifc-rack',
        'ifc-quote',
        'ifc-puzzle',
        'ifc-put_out',
        'ifc-put_in_motion',
        'ifc-put_in',
        'ifc-publisher',
        'ifc-psd',
        'ifc-processor',
        'ifc-private2',
        'ifc-print',
        'ifc-price_tag_usd',
        'ifc-price_tag_pound',
        'ifc-price_tag_euro',
        'ifc-price_tag',
        'ifc-pressure',
        'ifc-presentation',
        'ifc-power_point',
        'ifc-positive_dynamic',
        'ifc-portrait_mode',
        'ifc-popular_topic',
        'ifc-polyline',
        'ifc-polygone',
        'ifc-polygon',
        'ifc-poll_topic',
        'ifc-png',
        'ifc-plus',
        'ifc-plugin',
        'ifc-pliers',
        'ifc-play',
        'ifc-plasmid',
        'ifc-piston',
        'ifc-pinterest',
        'ifc-pinch',
        'ifc-pin',
        'ifc-pill',
        'ifc-pie_chart',
        'ifc-picture',
        'ifc-pickup',
        'ifc-photo',
        'ifc-phone2',
        'ifc-phone1',
        'ifc-perforator',
        'ifc-pencil_sharpener',
        'ifc-pen',
        'ifc-pdf',
        'ifc-pawn',
        'ifc-pause',
        'ifc-password',
        'ifc-passenger',
        'ifc-paper_clip',
        'ifc-paper_clamp',
        'ifc-panorama',
        'ifc-paint_bucket',
        'ifc-paint_basket',
        'ifc-pain_brush',
        'ifc-overhead_crane',
        'ifc-outlook',
        'ifc-outline',
        'ifc-outgoing_data',
        'ifc-otf',
        'ifc-osm',
        'ifc-origami',
        'ifc-opera',
        'ifc-opened_folder',
        'ifc-open_in_browser',
        'ifc-online',
        'ifc-one_note',
        'ifc-one_finger',
        'ifc-old_time_camera',
        'ifc-ogg',
        'ifc-office_lamp',
        'ifc-numerical_sorting_21',
        'ifc-north_direction',
        'ifc-night_vision',
        'ifc-new_moon',
        'ifc-neutral_decision',
        'ifc-negative_dynamic',
        'ifc-near_me',
        'ifc-nas',
        'ifc-mute',
        'ifc-musical',
        'ifc-music_video',
        'ifc-music_record',
        'ifc-music',
        'ifc-multiple_smartphones',
        'ifc-multiple_inputs',
        'ifc-multiple_devices',
        'ifc-multiple_cameras',
        'ifc-multicast',
        'ifc-mpg',
        'ifc-mp3',
        'ifc-movie',
        'ifc-moved_topic',
        'ifc-move_by_trolley',
        'ifc-mov',
        'ifc-mouse_trap',
        'ifc-mouse',
        'ifc-month_view',
        'ifc-money_box',
        'ifc-money_bag',
        'ifc-money',
        'ifc-mobile_home',
        'ifc-minus',
        'ifc-mind_map',
        'ifc-micro2',
        'ifc-micro',
        'ifc-message',
        'ifc-mess_tin',
        'ifc-menu',
        'ifc-memory_module',
        'ifc-megaphone2',
        'ifc-megaphone',
        'ifc-medium_volume',
        'ifc-medium_icons',
        'ifc-medium_battery',
        'ifc-math',
        'ifc-matches',
        'ifc-mastercard',
        'ifc-map_marker',
        'ifc-map_editing',
        'ifc-map',
        'ifc-male',
        'ifc-magnet',
        'ifc-mac_client',
        'ifc-luggage_trolley',
        'ifc-lowercase',
        'ifc-low_volume',
        'ifc-low_battery',
        'ifc-lol',
        'ifc-log_cabine',
        'ifc-lock_portrait',
        'ifc-lock_landscape',
        'ifc-lock',
        'ifc-livingroom',
        'ifc-little_snow',
        'ifc-little_rain',
        'ifc-literature',
        'ifc-list',
        'ifc-linux_client',
        'ifc-linkedin',
        'ifc-link',
        'ifc-line_width',
        'ifc-line_chart',
        'ifc-line',
        'ifc-like',
        'ifc-lift_cart_here',
        'ifc-libra',
        'ifc-left3',
        'ifc-left2',
        'ifc-left_click',
        'ifc-left',
        'ifc-lcd',
        'ifc-layers',
        'ifc-last_quarter',
        'ifc-laser_beam',
        'ifc-large_lens',
        'ifc-large_icons',
        'ifc-laptop',
        'ifc-lantern',
        'ifc-lamp',
        'ifc-knight',
        'ifc-knife',
        'ifc-kmz',
        'ifc-kml',
        'ifc-king',
        'ifc-keyboard',
        'ifc-key',
        'ifc-keep_dry',
        'ifc-jpg',
        'ifc-joystick',
        'ifc-jingle_bell',
        'ifc-jcb',
        'ifc-java_coffee_cup_logo',
        'ifc-iphone',
        'ifc-ipad',
        'ifc-ip_address',
        'ifc-invisible',
        'ifc-internet_explorer',
        'ifc-internal',
        'ifc-integrated_webcam',
        'ifc-integrated_circuit',
        'ifc-instagram',
        'ifc-infrared_beam_sensor',
        'ifc-infrared_beam_sending',
        'ifc-infrared',
        'ifc-informatics',
        'ifc-info',
        'ifc-increase_font',
        'ifc-incoming_data',
        'ifc-incendiary_grenade',
        'ifc-inbox',
        'ifc-in_love',
        'ifc-import',
        'ifc-idea',
        'ifc-icq',
        'ifc-hydroelectric',
        'ifc-humidity',
        'ifc-humburger',
        'ifc-human_footprints',
        'ifc-hub',
        'ifc-html',
        'ifc-hot_dog',
        'ifc-hot_chocolate',
        'ifc-horseshoe',
        'ifc-home',
        'ifc-history',
        'ifc-high_volume',
        'ifc-high_battery',
        'ifc-hex_burner',
        'ifc-herald_trumpet',
        'ifc-help2',
        'ifc-help',
        'ifc-helicopter',
        'ifc-heat_map',
        'ifc-heart_monitor',
        'ifc-headset',
        'ifc-headphones',
        'ifc-handle_with_care',
        'ifc-hand_planting',
        'ifc-hand_palm_scan',
        'ifc-hand',
        'ifc-hammer',
        'ifc-group',
        'ifc-grass',
        'ifc-gpx',
        'ifc-gps_receiving',
        'ifc-gps_disconnected',
        'ifc-google_plus',
        'ifc-good_decision',
        'ifc-gis',
        'ifc-gift',
        'ifc-gif',
        'ifc-geocaching',
        'ifc-geo_fence',
        'ifc-generic_text',
        'ifc-generic_sorting2',
        'ifc-generic_sorting',
        'ifc-genealogy',
        'ifc-genderqueer',
        'ifc-GBP',
        'ifc-gas2',
        'ifc-gantt_chart',
        'ifc-gallery',
        'ifc-gaiters',
        'ifc-fully_charged_battery',
        'ifc-full_moon',
        'ifc-fridge',
        'ifc-french_fries',
        'ifc-four_fingers',
        'ifc-forward2',
        'ifc-forward',
        'ifc-fork_truck',
        'ifc-fork',
        'ifc-football2',
        'ifc-football',
        'ifc-food',
        'ifc-folder',
        'ifc-fog_night',
        'ifc-fog_day',
        'ifc-flv',
        'ifc-flow_chart',
        'ifc-flip_vertical',
        'ifc-flip_horizontal',
        'ifc-flip_flops',
        'ifc-flash_light',
        'ifc-flag2',
        'ifc-flag',
        'ifc-first_quarter',
        'ifc-firefox',
        'ifc-find_user',
        'ifc-filter',
        'ifc-film_reel',
        'ifc-filled_box',
        'ifc-fb2',
        'ifc-fast_forward',
        'ifc-fantasy',
        'ifc-facebook',
        'ifc-external_link',
        'ifc-external',
        'ifc-export',
        'ifc-expensive',
        'ifc-expand',
        'ifc-exit',
        'ifc-exe',
        'ifc-excel',
        'ifc-EUR',
        'ifc-error',
        'ifc-eraser',
        'ifc-epub',
        'ifc-eps',
        'ifc-enter',
        'ifc-engineering',
        'ifc-end',
        'ifc-email',
        'ifc-ellipse',
        'ifc-electronics',
        'ifc-eggs',
        'ifc-edit_user',
        'ifc-edit_image',
        'ifc-edit',
        'ifc-east_direction',
        'ifc-earth_element',
        'ifc-dribbble',
        'ifc-drafting_compass',
        'ifc-downpour',
        'ifc-download2_filled',
        'ifc-download2',
        'ifc-download_filled',
        'ifc-download',
        'ifc-down4',
        'ifc-down2',
        'ifc-down_right',
        'ifc-down_left',
        'ifc-down',
        'ifc-double_tap',
        'ifc-donut_chart',
        'ifc-domain',
        'ifc-documentary',
        'ifc-document',
        'ifc-doctor_suitecase',
        'ifc-doctor',
        'ifc-doc',
        'ifc-do_not_tilt',
        'ifc-do_not_stack',
        'ifc-do_not_expose_to_sunlight',
        'ifc-do_not_drop',
        'ifc-dna_helix',
        'ifc-directions',
        'ifc-diamonds',
        'ifc-dharmacakra',
        'ifc-design',
        'ifc-delete_sign',
        'ifc-delete_shield',
        'ifc-delete_message',
        'ifc-define_location',
        'ifc-decrease_font',
        'ifc-day_view',
        'ifc-date_to',
        'ifc-date_from',
        'ifc-database_protection',
        'ifc-database_encryption',
        'ifc-database_backup',
        'ifc-database',
        'ifc-data_in_both_directions',
        'ifc-cymbals',
        'ifc-cut',
        'ifc-currency',
        'ifc-csv',
        'ifc-css',
        'ifc-crystal_ball',
        'ifc-crop',
        'ifc-creek',
        'ifc-coral',
        'ifc-copy_link',
        'ifc-copy',
        'ifc-control_panel',
        'ifc-content',
        'ifc-contacts',
        'ifc-contact_card',
        'ifc-construction_worker',
        'ifc-console',
        'ifc-connected_no_data',
        'ifc-compost_heap',
        'ifc-compass2',
        'ifc-compas',
        'ifc-command_line',
        'ifc-combo_chart',
        'ifc-comb',
        'ifc-color_dropper',
        'ifc-collect',
        'ifc-collapse',
        'ifc-coffee',
        'ifc-code',
        'ifc-coctail',
        'ifc-clouds',
        'ifc-cloud_storage',
        'ifc-close_up_mode',
        'ifc-close',
        'ifc-clock',
        'ifc-clipperboard',
        'ifc-clear_shopping_cart',
        'ifc-circuit',
        'ifc-chrome',
        'ifc-christmas_star',
        'ifc-christmas_gift',
        'ifc-chisel_tip_marker',
        'ifc-child_new_post',
        'ifc-checkmark',
        'ifc-checked_user',
        'ifc-cheap',
        'ifc-charge_battery',
        'ifc-change_user',
        'ifc-centre_of_gravity',
        'ifc-center_direction',
        'ifc-cash_receiving',
        'ifc-carabiner',
        'ifc-car_battery',
        'ifc-capacitor',
        'ifc-cannon',
        'ifc-cancel',
        'ifc-camping_tent',
        'ifc-camera_identification',
        'ifc-camera_addon_identification',
        'ifc-camera_addon',
        'ifc-camcoder_pro',
        'ifc-camcoder',
        'ifc-calendar',
        'ifc-CAD',
        'ifc-cable_release',
        'ifc-business',
        'ifc-bus',
        'ifc-bungalow',
        'ifc-bunch_ingredients',
        'ifc-broadcasting',
        'ifc-briefcase',
        'ifc-brandenburg_gate',
        'ifc-brain_filled',
        'ifc-brain',
        'ifc-box2',
        'ifc-box',
        'ifc-border_color',
        'ifc-bookmark',
        'ifc-blur',
        'ifc-bluetooth2',
        'ifc-bluetooth',
        'ifc-birthday_cake',
        'ifc-birthday',
        'ifc-biotech',
        'ifc-barbers_scissors',
        'ifc-bar_chart',
        'ifc-banknotes',
        'ifc-bandage',
        'ifc-ball_point_pen',
        'ifc-bad_decision',
        'ifc-background_color',
        'ifc-back',
        'ifc-avi',
        'ifc-average',
        'ifc-audio_wave2',
        'ifc-audio_wave',
        'ifc-asc',
        'ifc-armchair',
        'ifc-area_chart',
        'ifc-archive',
        'ifc-aquarius',
        'ifc-application_shield',
        'ifc-apartment',
        'ifc-antiseptic_cream',
        'ifc-android_os',
        'ifc-ancore',
        'ifc-anchor',
        'ifc-ammo_tin',
        'ifc-amex',
        'ifc-ambulance',
        'ifc-alphabetical_sorting_za',
        'ifc-alphabetical_sorting_az',
        'ifc-align_right',
        'ifc-align_left',
        'ifc-align_justify',
        'ifc-align_center',
        'ifc-alarm_clock',
        'ifc-airplane_take_off',
        'ifc-airplane',
        'ifc-ai',
        'ifc-age',
        'ifc-adventures',
        'ifc-adobe_photoshop',
        'ifc-adobe_indesign',
        'ifc-adobe_illustrator',
        'ifc-adobe_flash',
        'ifc-adobe_fireworks',
        'ifc-adobe_dreamweaver',
        'ifc-adobe_bridge',
        'ifc-administrative_tools',
        'ifc-add_user',
        'ifc-add_image',
        'ifc-add_database',
        'ifc-zip2',
        'ifc-f_tap',
        'ifc-f_swipe_up',
        'ifc-f_swipe_right',
        'ifc-f_swipe_left',
        'ifc-f_swipe_down',
        'ifc-f_double_tap',
        'fa-500px', 'fa fa-adjust', 'fa fa-adn', 'fa fa-align-center', 'fa fa-align-justify', 'fa fa-align-left', 'fa fa-align-right', 'fa fa-amazon',
        'fa fa-ambulance', 'fa fa-anchor', 'fa fa-android', 'fa fa-angellist', 'fa fa-angle-double-down', 'fa fa-angle-double-left',
        'fa fa-angle-double-right', 'fa fa-angle-double-up', 'fa fa-angle-down', 'fa fa-angle-left', 'fa fa-angle-right', 'fa fa-angle-up',
        'fa fa-apple', 'fa fa-archive', 'fa fa-area-chart', 'fa fa-arrow-circle-down', 'fa fa-arrow-circle-left', 'fa fa-arrow-circle-o-down',
        'fa fa-arrow-circle-o-left', 'fa fa-arrow-circle-o-right', 'fa fa-arrow-circle-o-up', 'fa fa-arrow-circle-right', 'fa fa-arrow-circle-up',
        'fa fa-arrow-down', 'fa fa-arrow-left', 'fa fa-arrow-right', 'fa fa-arrow-up', 'fa fa-arrows', 'fa fa-arrows-alt', 'fa fa-arrows-h',
        'fa fa-arrows-v', 'fa fa-asterisk', 'fa fa-at', 'fa fa-automobile', 'fa fa-backward', 'fa fa-balance-scale', 'fa fa-ban', 'fa fa-bank',
        'fa fa-bar-chart', 'fa fa-bar-chart-o', 'fa fa-barcode', 'fa fa-bars', 'fa fa-battery-0', 'fa fa-battery-1', 'fa fa-battery-2', 'fa fa-battery-3',
        'fa fa-battery-4', 'fa fa-battery-empty', 'fa fa-battery-full', 'fa fa-battery-half', 'fa fa-battery-quarter', 'fa fa-battery-three-quarters',
        'fa fa-bed', 'fa fa-beer', 'fa fa-behance', 'fa fa-behance-square', 'fa fa-bell', 'fa fa-bell-o', 'fa fa-bell-slash', 'fa fa-bell-slash-o',
        'fa fa-bicycle', 'fa fa-binoculars', 'fa fa-birthday-cake', 'fa fa-bitbucket', 'fa fa-bitbucket-square', 'fa fa-bitcoin', 'fa fa-black-tie',
        'fa fa-bluetooth', 'fa fa-bluetooth-b', 'fa fa-bold', 'fa fa-bolt', 'fa fa-bomb', 'fa fa-book', 'fa fa-bookmark', 'fa fa-bookmark-o',
        'fa fa-briefcase', 'fa fa-btc', 'fa fa-bug', 'fa fa-building', 'fa fa-building-o', 'fa fa-bullhorn', 'fa fa-bullseye', 'fa fa-bus',
        'fa fa-buysellads', 'fa fa-cab', 'fa fa-calculator', 'fa fa-calendar', 'fa fa-calendar-check-o', 'fa fa-calendar-minus-o', 'fa fa-calendar-o',
        'fa fa-calendar-plus-o', 'fa fa-calendar-times-o', 'fa fa-camera', 'fa fa-camera-retro', 'fa fa-car', 'fa fa-caret-down', 'fa fa-caret-left',
        'fa fa-caret-right', 'fa fa-caret-square-o-down', 'fa fa-caret-square-o-left', 'fa fa-caret-square-o-right', 'fa fa-caret-square-o-up',
        'fa fa-caret-up', 'fa fa-cart-arrow-down', 'fa fa-cart-plus', 'fa fa-cc', 'fa fa-cc-amex', 'fa fa-cc-diners-club', 'fa fa-cc-discover',
        'fa fa-cc-jcb', 'fa fa-cc-mastercard', 'fa fa-cc-paypal', 'fa fa-cc-stripe', 'fa fa-cc-visa', 'fa fa-certificate', 'fa fa-chain',
        'fa fa-chain-broken', 'fa fa-check', 'fa fa-check-circle', 'fa fa-check-circle-o', 'fa fa-check-square', 'fa fa-check-square-o',
        'fa fa-chevron-circle-down', 'fa fa-chevron-circle-left', 'fa fa-chevron-circle-right', 'fa fa-chevron-circle-up', 'fa fa-chevron-down',
        'fa fa-chevron-left', 'fa fa-chevron-right', 'fa fa-chevron-up', 'fa fa-child', 'fa fa-chrome', 'fa fa-circle', 'fa fa-circle-o',
        'fa fa-circle-o-notch', 'fa fa-circle-thin', 'fa fa-clipboard', 'fa fa-clock-o', 'fa fa-clone', 'fa fa-close', 'fa fa-cloud',
        'fa fa-cloud-download', 'fa fa-cloud-upload', 'fa fa-cny', 'fa fa-code', 'fa fa-code-fork', 'fa fa-codepen', 'fa fa-codiepie', 'fa fa-coffee',
        'fa fa-cog', 'fa fa-cogs', 'fa fa-columns', 'fa fa-comment', 'fa fa-comment-o', 'fa fa-commenting', 'fa fa-commenting-o', 'fa fa-comments',
        'fa fa-comments-o', 'fa fa-compass', 'fa fa-compress', 'fa fa-connectdevelop', 'fa fa-contao', 'fa fa-copy', 'fa fa-copyright',
        'fa fa-creative-commons', 'fa fa-credit-card', 'fa fa-credit-card-alt', 'fa fa-crop', 'fa fa-crosshairs', 'fa fa-css3', 'fa fa-cube',
        'fa fa-cubes', 'fa fa-cut', 'fa fa-cutlery', 'fa fa-dashboard', 'fa fa-dashcube', 'fa fa-database', 'fa fa-dedent', 'fa fa-delicious',
        'fa fa-desktop', 'fa fa-deviantart', 'fa fa-diamond', 'fa fa-digg', 'fa fa-dollar', 'fa fa-dot-circle-o', 'fa fa-download', 'fa fa-dribbble',
        'fa fa-dropbox', 'fa fa-drupal', 'fa fa-edge', 'fa fa-edit', 'fa fa-eject', 'fa fa-ellipsis-h', 'fa fa-ellipsis-v', 'fa fa-empire',
        'fa fa-envelope', 'fa fa-envelope-o', 'fa fa-envelope-square', 'fa fa-eraser', 'fa fa-eur', 'fa fa-euro', 'fa fa-exchange', 'fa fa-exclamation',
        'fa fa-exclamation-circle', 'fa fa-exclamation-triangle', 'fa fa-expand', 'fa fa-expeditedssl', 'fa fa-external-link',
        'fa fa-external-link-square', 'fa fa-eye', 'fa fa-eye-slash', 'fa fa-eyedropper', 'fa fa-facebook', 'fa fa-facebook-f', 'fa fa-facebook-official',
        'fa fa-facebook-square', 'fa fa-fast-backward', 'fa fa-fast-forward', 'fa fa-fax', 'fa fa-feed', 'fa fa-female', 'fa fa-fighter-jet', 'fa fa-file',
        'fa fa-file-archive-o', 'fa fa-file-audio-o', 'fa fa-file-code-o', 'fa fa-file-excel-o', 'fa fa-file-image-o', 'fa fa-file-movie-o',
        'fa fa-file-o', 'fa fa-file-pdf-o', 'fa fa-file-photo-o', 'fa fa-file-picture-o', 'fa fa-file-powerpoint-o', 'fa fa-file-sound-o',
        'fa fa-file-text', 'fa fa-file-text-o', 'fa fa-file-video-o', 'fa fa-file-word-o', 'fa fa-file-zip-o', 'fa fa-files-o', 'fa fa-film',
        'fa fa-filter', 'fa fa-fire', 'fa fa-fire-extinguisher', 'fa fa-firefox', 'fa fa-flag', 'fa fa-flag-checkered', 'fa fa-flag-o', 'fa fa-flash',
        'fa fa-flask', 'fa fa-flickr', 'fa fa-floppy-o', 'fa fa-folder', 'fa fa-folder-o', 'fa fa-folder-open', 'fa fa-folder-open-o', 'fa fa-font',
        'fa fa-fonticons', 'fa fa-fort-awesome', 'fa fa-forumbee', 'fa fa-forward', 'fa fa-foursquare', 'fa fa-frown-o', 'fa fa-futbol-o',
        'fa fa-gamepad', 'fa fa-gavel', 'fa fa-gbp', 'fa fa-ge', 'fa fa-gear', 'fa fa-gears', 'fa fa-genderless', 'fa fa-get-pocket', 'fa fa-gg',
        'fa fa-gg-circle', 'fa fa-gift', 'fa fa-git', 'fa fa-git-square', 'fa fa-github', 'fa fa-github-alt', 'fa fa-github-square', 'fa fa-gittip',
        'fa fa-glass', 'fa fa-globe', 'fa fa-google', 'fa fa-google-plus', 'fa fa-google-plus-square', 'fa fa-google-wallet', 'fa fa-graduation-cap',
        'fa fa-gratipay', 'fa fa-group', 'fa fa-h-square', 'fa fa-hacker-news', 'fa fa-hand-grab-o', 'fa fa-hand-lizard-o', 'fa fa-hand-o-down',
        'fa fa-hand-o-left', 'fa fa-hand-o-right', 'fa fa-hand-o-up', 'fa fa-hand-paper-o', 'fa fa-hand-peace-o', 'fa fa-hand-pointer-o',
        'fa fa-hand-rock-o', 'fa fa-hand-scissors-o', 'fa fa-hand-spock-o', 'fa fa-hand-stop-o', 'fa fa-hashtag', 'fa fa-hdd-o', 'fa fa-header',
        'fa fa-headphones', 'fa fa-heart', 'fa fa-heart-o', 'fa fa-heartbeat', 'fa fa-history', 'fa fa-home', 'fa fa-hospital-o', 'fa fa-hotel',
        'fa fa-hourglass', 'fa fa-hourglass-1', 'fa fa-hourglass-2', 'fa fa-hourglass-3', 'fa fa-hourglass-end', 'fa fa-hourglass-half',
        'fa fa-hourglass-o', 'fa fa-hourglass-start', 'fa fa-houzz', 'fa fa-html5', 'fa fa-i-cursor', 'fa fa-ils', 'fa fa-image', 'fa fa-inbox',
        'fa fa-indent', 'fa fa-industry', 'fa fa-info', 'fa fa-info-circle', 'fa fa-inr', 'fa fa-instagram', 'fa fa-institution',
        'fa fa-internet-explorer', 'fa fa-intersex', 'fa fa-ioxhost', 'fa fa-italic', 'fa fa-joomla', 'fa fa-jpy', 'fa fa-jsfiddle', 'fa fa-key',
        'fa fa-keyboard-o', 'fa fa-krw', 'fa fa-language', 'fa fa-laptop', 'fa fa-lastfm', 'fa fa-lastfm-square', 'fa fa-leaf', 'fa fa-leanpub',
        'fa fa-legal', 'fa fa-lemon-o', 'fa fa-level-down', 'fa fa-level-up', 'fa fa-life-bouy', 'fa fa-life-buoy', 'fa fa-life-ring', 'fa fa-life-saver',
        'fa fa-lightbulb-o', 'fa fa-line-chart', 'fa fa-link', 'fa fa-linkedin', 'fa fa-linkedin-square', 'fa fa-linux', 'fa fa-list', 'fa fa-list-alt',
        'fa fa-list-ol', 'fa fa-list-ul', 'fa fa-location-arrow', 'fa fa-lock', 'fa fa-long-arrow-down', 'fa fa-long-arrow-left',
        'fa fa-long-arrow-right', 'fa fa-long-arrow-up', 'fa fa-magic', 'fa fa-magnet', 'fa fa-mail-forward', 'fa fa-mail-reply', 'fa fa-mail-reply-all',
        'fa fa-male', 'fa fa-map', 'fa fa-map-marker', 'fa fa-map-o', 'fa fa-map-pin', 'fa fa-map-signs', 'fa fa-mars', 'fa fa-mars-double',
        'fa fa-mars-stroke', 'fa fa-mars-stroke-h', 'fa fa-mars-stroke-v', 'fa fa-maxcdn', 'fa fa-meanpath', 'fa fa-medium', 'fa fa-medkit',
        'fa fa-meh-o', 'fa fa-mercury', 'fa fa-microphone', 'fa fa-microphone-slash', 'fa fa-minus', 'fa fa-minus-circle', 'fa fa-minus-square',
        'fa fa-minus-square-o', 'fa fa-mixcloud', 'fa fa-mobile', 'fa fa-mobile-phone', 'fa fa-modx', 'fa fa-money', 'fa fa-moon-o', 'fa fa-mortar-board',
        'fa fa-motorcycle', 'fa fa-mouse-pointer', 'fa fa-music', 'fa fa-navicon', 'fa fa-neuter', 'fa fa-newspaper-o', 'fa fa-object-group',
        'fa fa-object-ungroup', 'fa fa-odnoklassniki', 'fa fa-odnoklassniki-square', 'fa fa-opencart', 'fa fa-openid', 'fa fa-opera',
        'fa fa-optin-monster', 'fa fa-outdent', 'fa fa-pagelines', 'fa fa-paint-brush', 'fa fa-paper-plane', 'fa fa-paper-plane-o', 'fa fa-paperclip',
        'fa fa-paragraph', 'fa fa-paste', 'fa fa-pause', 'fa fa-pause-circle', 'fa fa-pause-circle-o', 'fa fa-paw', 'fa fa-paypal', 'fa fa-pencil',
        'fa fa-pencil-square', 'fa fa-pencil-square-o', 'fa fa-percent', 'fa fa-phone', 'fa fa-phone-square', 'fa fa-photo', 'fa fa-picture-o',
        'fa fa-pie-chart', 'fa fa-pied-piper', 'fa fa-pied-piper-alt', 'fa fa-pinterest', 'fa fa-pinterest-p', 'fa fa-pinterest-square', 'fa fa-plane',
        'fa fa-play', 'fa fa-play-circle', 'fa fa-play-circle-o', 'fa fa-plug', 'fa fa-plus', 'fa fa-plus-circle', 'fa fa-plus-square',
        'fa fa-plus-square-o', 'fa fa-power-off', 'fa fa-print', 'fa fa-product-hunt', 'fa fa-puzzle-piece', 'fa fa-qq', 'fa fa-qrcode', 'fa fa-question',
        'fa fa-question-circle', 'fa fa-quote-left', 'fa fa-quote-right', 'fa fa-ra', 'fa fa-random', 'fa fa-rebel', 'fa fa-recycle', 'fa fa-reddit',
        'fa fa-reddit-alien', 'fa fa-reddit-square', 'fa fa-refresh', 'fa fa-registered', 'fa fa-remove', 'fa fa-renren', 'fa fa-reorder', 'fa fa-repeat',
        'fa fa-reply', 'fa fa-reply-all', 'fa fa-retweet', 'fa fa-rmb', 'fa fa-road', 'fa fa-rocket', 'fa fa-rotate-left', 'fa fa-rotate-right',
        'fa fa-rouble', 'fa fa-rss', 'fa fa-rss-square', 'fa fa-rub', 'fa fa-ruble', 'fa fa-rupee', 'fa fa-safari', 'fa fa-save', 'fa fa-scissors',
        'fa fa-scribd', 'fa fa-search', 'fa fa-search-minus', 'fa fa-search-plus', 'fa fa-sellsy', 'fa fa-send', 'fa fa-send-o', 'fa fa-server',
        'fa fa-share', 'fa fa-share-alt', 'fa fa-share-alt-square', 'fa fa-share-square', 'fa fa-share-square-o', 'fa fa-shekel', 'fa fa-sheqel',
        'fa fa-shield', 'fa fa-ship', 'fa fa-shirtsinbulk', 'fa fa-shopping-bag', 'fa fa-shopping-basket', 'fa fa-shopping-cart', 'fa fa-sign-in',
        'fa fa-sign-out', 'fa fa-signal', 'fa fa-simplybuilt', 'fa fa-sitemap', 'fa fa-skyatlas', 'fa fa-skype', 'fa fa-slack', 'fa fa-sliders',
        'fa fa-slideshare', 'fa fa-smile-o', 'fa fa-soccer-ball-o', 'fa fa-sort', 'fa fa-sort-alpha-asc', 'fa fa-sort-alpha-desc',
        'fa fa-sort-amount-asc', 'fa fa-sort-amount-desc', 'fa fa-sort-asc', 'fa fa-sort-desc', 'fa fa-sort-down', 'fa fa-sort-numeric-asc',
        'fa fa-sort-numeric-desc', 'fa fa-sort-up', 'fa fa-soundcloud', 'fa fa-space-shuttle', 'fa fa-spinner', 'fa fa-spoon', 'fa fa-spotify',
        'fa fa-square', 'fa fa-square-o', 'fa fa-stack-exchange', 'fa fa-stack-overflow', 'fa fa-star', 'fa fa-star-half', 'fa fa-star-half-empty',
        'fa fa-star-half-full', 'fa fa-star-half-o', 'fa fa-star-o', 'fa fa-steam', 'fa fa-steam-square', 'fa fa-step-backward', 'fa fa-step-forward',
        'fa fa-stethoscope', 'fa fa-sticky-note', 'fa fa-sticky-note-o', 'fa fa-stop', 'fa fa-stop-circle', 'fa fa-stop-circle-o', 'fa fa-street-view',
        'fa fa-strikethrough', 'fa fa-stumbleupon', 'fa fa-stumbleupon-circle', 'fa fa-subscript', 'fa fa-subway', 'fa fa-suitcase', 'fa fa-sun-o',
        'fa fa-superscript', 'fa fa-support', 'fa fa-table', 'fa fa-tablet', 'fa fa-tachometer', 'fa fa-tag', 'fa fa-tags', 'fa fa-tasks', 'fa fa-taxi',
        'fa fa-television', 'fa fa-tencent-weibo', 'fa fa-terminal', 'fa fa-text-height', 'fa fa-text-width', 'fa fa-th', 'fa fa-th-large',
        'fa fa-th-list', 'fa fa-thumb-tack', 'fa fa-thumbs-down', 'fa fa-thumbs-o-down', 'fa fa-thumbs-o-up', 'fa fa-thumbs-up', 'fa fa-ticket',
        'fa fa-times', 'fa fa-times-circle', 'fa fa-times-circle-o', 'fa fa-tint', 'fa fa-toggle-down', 'fa fa-toggle-left', 'fa fa-toggle-off',
        'fa fa-toggle-on', 'fa fa-toggle-right', 'fa fa-toggle-up', 'fa fa-trademark', 'fa fa-train', 'fa fa-transgender', 'fa fa-transgender-alt',
        'fa fa-trash', 'fa fa-trash-o', 'fa fa-tree', 'fa fa-trello', 'fa fa-tripadvisor', 'fa fa-trophy', 'fa fa-truck', 'fa fa-try', 'fa fa-tty',
        'fa fa-tumblr', 'fa fa-tumblr-square', 'fa fa-turkish-lira', 'fa fa-tv', 'fa fa-twitch', 'fa fa-twitter', 'fa fa-twitter-square',
        'fa fa-umbrella', 'fa fa-underline', 'fa fa-undo', 'fa fa-university', 'fa fa-unlink', 'fa fa-unlock', 'fa fa-unlock-alt', 'fa fa-unsorted',
        'fa fa-upload', 'fa fa-usb', 'fa fa-usd', 'fa fa-user', 'fa fa-user-md', 'fa fa-user-plus', 'fa fa-user-secret', 'fa fa-user-times',
        'fa fa-users', 'fa fa-venus', 'fa fa-venus-double', 'fa fa-venus-mars', 'fa fa-viacoin', 'fa fa-video-camera', 'fa fa-vimeo',
        'fa fa-vimeo-square', 'fa fa-vine', 'fa fa-vk', 'fa fa-volume-down', 'fa fa-volume-off', 'fa fa-volume-up', 'fa fa-warning',
        'fa fa-wechat', 'fa fa-weibo', 'fa fa-weixin', 'fa fa-whatsapp', 'fa fa-wheelchair', 'fa fa-wifi', 'fa fa-wikipedia-w',
        'fa fa-windows', 'fa fa-won', 'fa fa-wordpress', 'fa fa-wrench', 'fa fa-xing', 'fa fa-xing-square', 'fa fa-y-combinator',
        'fa fa-y-combinator-square', 'fa fa-yahoo', 'fa fa-yc', 'fa fa-yc-square', 'fa fa-yelp', 'fa fa-yen', 'fa fa-youtube', 'fa fa-youtube-play',
        'fa fa-youtube-square');
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       Alert Component
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_alert_elements_func($atts, $content = null) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_alert_type' => 'info',
        'css' => ''), $atts));

    $content = esc_html($content);

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

// Determines the type of alert
    if ($quad_alert_type == "info") {
        return "<div class='alert info {$css_class}'><i class='ifc-info'></i>{$content}</div>";
    } elseif ($quad_alert_type == "success") {
        return "<div class='alert success {$css_class}'><i class='ifc-checkmark'></i>{$content}</div>";
    } elseif ($quad_alert_type == "warning") {
        return "<div class='alert warning {$css_class}'><i class='ifc-error'></i>{$content}</div>";
    } elseif ($quad_alert_type == "error") {
        return "<div class='alert error {$css_class}'><i class='ifc-close'></i>{$content}</div>";
    } else {
        return "<div class='alert {$css_class}'>{$content}</div>";
    }
}

add_shortcode('quad_alert_elements', 'quad_alert_elements_func');

add_action('init', 'quad_integrate_vc_alert_elements');

// integrates the custom element in the visual composer
function quad_integrate_vc_alert_elements() {
    vc_map(
            array(
                "name" => esc_html__("Alert box", 'quad-shortcodes'),
                "base" => "quad_alert_elements",
                'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
                "category" => esc_html__('Quad Elements', 'quad-shortcodes'),
                "params" => array(
                    array(
                        'type' => 'dropdown',
                        'heading' => esc_html__('Message Type', 'quad-shortcodes'),
                        'param_name' => 'quad_alert_type',
                        'value' => array(
                            esc_html__('Info', 'quad-shortcodes') => 'info',
                            esc_html__('Default', 'quad-shortcodes') => 'default',
                            esc_html__('Success', 'quad-shortcodes') => 'success',
                            esc_html__('Warning', 'quad-shortcodes') => 'warning',
                            esc_html__('Error', 'quad-shortcodes') => 'error',
                        ),
                        'description' => esc_html__('Specify', 'quad-shortcodes')
                    ),
                    array(
                        "type" => "textfield",
                        'holder' => 'div',
                        "heading" => esc_html__("Message", 'quad-shortcodes'),
                        "param_name" => "content",
                        "description" => esc_html__("Specify the content of the message", 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'css_editor',
                        'heading' => esc_html__('Css', 'quad-shortcodes'),
                        'param_name' => 'css',
                        'group' => esc_html__('Design options', 'quad-shortcodes'),
                    )
                )
            )
    );
}

class WPBakeryShortCode_quad_alert_elements extends WPBakeryShortCode {
    
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       Animations Component
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_animations_container_func($atts, $content = null) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_animate_type' => 'bounce',
        'quad_animate_delay' => '0',
        'quad_animate_speed' => '1000',
        'quad_animate_offset' => '90',
        'css' => ''), $atts));

    $content = wpb_js_remove_wpautop($content, false);
    $quad_animate_type = esc_attr($quad_animate_type);
    $quad_animate_delay = esc_attr($quad_animate_delay);
    $quad_animate_speed = esc_attr($quad_animate_speed);
    $quad_animate_offset = esc_attr($quad_animate_offset);
    if ($quad_animate_offset > 100) {
        $quad_animate_offset = 90;
    }

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    return "<div class='animate {$css_class}' data-animation='{$quad_animate_type}' data-animation-delay='{$quad_animate_delay}' data-animation-speed='{$quad_animate_speed}' data-animation-offset='{$quad_animate_offset}%'>
                            {$content}
            </div>";
}

add_shortcode('quad_animations_container', 'quad_animations_container_func');
add_action('init', 'quad_integrate_vc_animations_container_component');

// integrates the custom element in the visual composer
function quad_integrate_vc_animations_container_component() {
    vc_map(array(
        "name" => esc_html__("Animations Container", 'quad-shortcodes'),
        "base" => "quad_animations_container",
        "category" => esc_html__('Quad Elements', 'quad-shortcodes'),
        'as_parent' => array('except' => 'quad_animations_container'),
        "content_element" => true,
        'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
        "show_settings_on_create" => true,
        "params" => array(
            array(
                'type' => 'dropdown',
                'holder' => 'div',
                'heading' => esc_html__('Animation Type', 'quad-shortcodes'),
                'param_name' => 'quad_animate_type',
                'value' => array(
                    esc_html__('bounce', 'quad-shortcodes') => 'bounce',
                    esc_html__('flash', 'quad-shortcodes') => 'flash',
                    esc_html__('pulse', 'quad-shortcodes') => 'pulse',
                    esc_html__('rubberBand', 'quad-shortcodes') => 'rubberBand',
                    esc_html__('shake', 'quad-shortcodes') => 'shake',
                    esc_html__('swing', 'quad-shortcodes') => 'swing',
                    esc_html__('tada', 'quad-shortcodes') => 'tada',
                    esc_html__('wobble', 'quad-shortcodes') => 'wobble',
                    esc_html__('bounceIn', 'quad-shortcodes') => 'bounceIn',
                    esc_html__('bounceInDown', 'quad-shortcodes') => 'bounceInDown',
                    esc_html__('bounceInLeft', 'quad-shortcodes') => 'bounceInLeft',
                    esc_html__('bounceInRight', 'quad-shortcodes') => 'bounceInRight',
                    esc_html__('bounceInUp', 'quad-shortcodes') => 'bounceInUp',
                    esc_html__('bounceOut', 'quad-shortcodes') => 'bounceOut',
                    esc_html__('bounceOutDown', 'quad-shortcodes') => 'bounceOutDown',
                    esc_html__('bounceOutLeft', 'quad-shortcodes') => 'bounceOutLeft',
                    esc_html__('bounceOutRight', 'quad-shortcodes') => 'bounceOutRight',
                    esc_html__('bounceOutUp', 'quad-shortcodes') => 'bounceOutUp',
                    esc_html__('fadeIn', 'quad-shortcodes') => 'fadeIn',
                    esc_html__('fadeInDown', 'quad-shortcodes') => 'fadeInDown',
                    esc_html__('fadeInDownBig', 'quad-shortcodes') => 'fadeInDownBig',
                    esc_html__('fadeInLeft', 'quad-shortcodes') => 'fadeInLeft',
                    esc_html__('fadeInLeftBig', 'quad-shortcodes') => 'fadeInLeftBig',
                    esc_html__('fadeInRight', 'quad-shortcodes') => 'fadeInRight',
                    esc_html__('fadeInRightBig', 'quad-shortcodes') => 'fadeInRightBig',
                    esc_html__('fadeInUp', 'quad-shortcodes') => 'fadeInUp',
                    esc_html__('fadeInUpBig', 'quad-shortcodes') => 'fadeInUpBig',
                    esc_html__('fadeOut', 'quad-shortcodes') => 'fadeOut',
                    esc_html__('fadeOutDown', 'quad-shortcodes') => 'fadeOutDown',
                    esc_html__('fadeOutDownBig', 'quad-shortcodes') => 'fadeOutDownBig',
                    esc_html__('fadeOutLeft', 'quad-shortcodes') => 'fadeOutLeft',
                    esc_html__('fadeOutLeftBig', 'quad-shortcodes') => 'fadeOutLeftBig',
                    esc_html__('fadeOutRight', 'quad-shortcodes') => 'fadeOutRight',
                    esc_html__('fadeOutRightBig', 'quad-shortcodes') => 'fadeOutRightBig',
                    esc_html__('fadeOutUp', 'quad-shortcodes') => 'fadeOutUp',
                    esc_html__('fadeOutUpBig', 'quad-shortcodes') => 'fadeOutUpBig',
                    esc_html__('flip', 'quad-shortcodes') => 'flip',
                    esc_html__('flipInX', 'quad-shortcodes') => 'flipInX',
                    esc_html__('flipInY', 'quad-shortcodes') => 'flipInY',
                    esc_html__('flipOutX', 'quad-shortcodes') => 'flipOutX',
                    esc_html__('flipOutY', 'quad-shortcodes') => 'flipOutY',
                    esc_html__('lightSpeedIn', 'quad-shortcodes') => 'lightSpeedIn',
                    esc_html__('lightSpeedOut', 'quad-shortcodes') => 'lightSpeedOut',
                    esc_html__('rotateIn', 'quad-shortcodes') => 'rotateIn',
                    esc_html__('rotateInDownLeft', 'quad-shortcodes') => 'rotateInDownLeft',
                    esc_html__('rotateInDownRight', 'quad-shortcodes') => 'rotateInDownRight',
                    esc_html__('rotateInUpLeft', 'quad-shortcodes') => 'rotateInUpLeft',
                    esc_html__('rotateInUpRight', 'quad-shortcodes') => 'rotateInUpRight',
                    esc_html__('rotateOut', 'quad-shortcodes') => 'rotateOut',
                    esc_html__('rotateOutDownLeft', 'quad-shortcodes') => 'rotateOutDownLeft',
                    esc_html__('rotateOutDownRight', 'quad-shortcodes') => 'rotateOutDownRight',
                    esc_html__('rotateOutUpLeft', 'quad-shortcodes') => 'rotateOutUpLeft',
                    esc_html__('rotateOutUpRight', 'quad-shortcodes') => 'rotateOutUpRight',
                    esc_html__('hinge', 'quad-shortcodes') => 'hinge',
                    esc_html__('rollIn', 'quad-shortcodes') => 'rollIn',
                    esc_html__('rollOut', 'quad-shortcodes') => 'rollOut',
                    esc_html__('zoomIn', 'quad-shortcodes') => 'zoomIn',
                    esc_html__('zoomInDown', 'quad-shortcodes') => 'zoomInDown',
                    esc_html__('zoomInLeft', 'quad-shortcodes') => 'zoomInLeft',
                    esc_html__('zoomInRight', 'quad-shortcodes') => 'zoomInRight',
                    esc_html__('zoomInUp', 'quad-shortcodes') => 'zoomInUp',
                    esc_html__('zoomOut', 'quad-shortcodes') => 'zoomOut',
                    esc_html__('zoomOutDown', 'quad-shortcodes') => 'zoomOutDown',
                    esc_html__('zoomOutLeft', 'quad-shortcodes') => 'zoomOutLeft',
                    esc_html__('zoomOutRight', 'quad-shortcodes') => 'zoomOutRight',
                    esc_html__('zoomOutUp', 'quad-shortcodes') => 'zoomOutUp'
                ),
                'description' => esc_html__('Specify', 'quad-shortcodes')
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Animation Delay", 'quad-shortcodes'),
                "param_name" => "quad_animate_delay",
                "value" => '0',
                "description" => esc_html__("Specify the delay amount", 'quad-shortcodes')
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Animation Speed", 'quad-shortcodes'),
                "param_name" => "quad_animate_speed",
                "value" => '1000',
                "description" => esc_html__("Specify the delay amount(in milliseconds, 1000 milliseconds = 1 second)", 'quad-shortcodes')
            ),
            array(
                "type" => "textfield",
                "heading" => esc_html__("Animation Offset", 'quad-shortcodes'),
                "param_name" => "quad_animate_offset",
                "value" => '90',
                "description" => esc_html__("Specify the Offset amount (in percentage from 0 to 100)", 'quad-shortcodes')
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__('Css', 'quad-shortcodes'),
                'param_name' => 'css',
                'group' => esc_html__('Design options', 'quad-shortcodes'),
            )
        ),
        'js_view' => 'VcColumnView'));
}

if (class_exists('WPBakeryShortCodesContainer')) {

    class WPBakeryShortCode_quad_animations_container extends WPBakeryShortCodesContainer {
        
    }

}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       Button Component
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_button_formats_func($atts) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_link' => '',
        'quad_icon' => '',
        'quad_large' => '',
        'quad_color' => '',
        'quad_align' => '',
        'css' => ''), $atts));

    $quad_icon = esc_attr($quad_icon);
    $quad_color = esc_attr($quad_color);
    $link_details = vc_build_link($quad_link);

    $center_before = $center_after = $button_icon = $newtab = '';

    if (trim($quad_icon) != "") {
        $button_icon = "<i class='{$quad_icon}'></i>";
    }

    if ($quad_align == "center") {
        $center_before = "<div class='text-center'>";
        $center_after = "</div>";
    } else if ($quad_align == "right") {
        $center_before = "<div class='text-right'>";
        $center_after = "</div>";
    }

    $link_details['url'] = esc_url($link_details['url']);
    $link_details['title'] = esc_html($link_details['title']);

    if ($link_details['target'] != '') {
        $link_details['target'] = esc_attr($link_details['target']);
        $newtab = "target='{$link_details['target']}'";
    }

    if ($link_details['rel'] !== '') {
        $link_details['rel'] = esc_attr($link_details['rel']);
        $rel = " rel='{$link_details['rel']}'";
    } else {
        $rel = '';
    }

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    return "{$center_before}<a class='btn{$quad_color}{$quad_large} {$css_class}' href='{$link_details['url']}' {$rel}{$newtab}>{$button_icon}{$link_details['title']}</a>{$center_after}";
}

add_shortcode('quad_button_formats', 'quad_button_formats_func');
add_action('init', 'quad_integrate_vc_button_formats');

// integrates the custom element in the visual composer
function quad_integrate_vc_button_formats() {
    vc_map(
            array(
                'name' => esc_html__('Button(s)', 'quad-shortcodes'),
                'base' => 'quad_button_formats',
                'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
                'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
                'params' => array(
                    array(
                        'type' => 'vc_link',
                        'heading' => esc_html__('Link title &amp; URL', 'quad-shortcodes'),
                        'param_name' => 'quad_link',
                        'description' => esc_html__('Specify the link pointing to another page', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'quad_icomoon_icons_param',
                        'heading' => esc_html__('Select icon', 'quad-shortcodes'),
                        'param_name' => 'quad_icon',
                        'description' => esc_html__('Select the icon you want', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'checkbox',
                        'heading' => esc_html__('Button Size', 'quad-shortcodes'),
                        'param_name' => 'quad_large',
                        'value' => array(esc_html__('Large', 'quad-shortcodes') => ' btn-large')
                    ),
                    array(
                        'type' => 'dropdown',
                        'heading' => esc_html__('Button Color', 'quad-shortcodes'),
                        'param_name' => 'quad_color',
                        'value' => array(
                            esc_html__('Default', 'quad-shortcodes') => '',
                            esc_html__('Alternative', 'quad-shortcodes') => ' alt',
                        )
                    ),
                    array(
                        'type' => 'dropdown',
                        'heading' => esc_html__('Button Position', 'quad-shortcodes'),
                        'param_name' => 'quad_align',
                        'value' => array(
                            esc_html__('Left', 'quad-shortcodes') => '',
                            esc_html__('Center', 'quad-shortcodes') => 'center',
                            esc_html__('Right', 'quad-shortcodes') => 'right'
                        )
                    ),
                    array(
                        'type' => 'css_editor',
                        'heading' => esc_html__('Css', 'quad-shortcodes'),
                        'param_name' => 'css',
                        'group' => esc_html__('Design options', 'quad-shortcodes'),
                    )
                )
            )
    );
}

class WPBakeryShortCode_quad_button_formats extends WPBakeryShortCode {
    
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       Divider Component
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_dividers_func($atts) {

    $css = '';
    extract(shortcode_atts(array(
        'quad_divider_type' => 'single-line',
        'css' => ''), $atts));

    $quad_divider_type = sanitize_html_class($quad_divider_type);

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    return "<div class='divider {$quad_divider_type} {$css_class}'></div>";
}

add_shortcode('quad_dividers', 'quad_dividers_func');

add_action('init', 'quad_integrate_vc_dividers');

// integrates the custom element in the visual composer
function quad_integrate_vc_dividers() {
    vc_map(
            array(
                "name" => esc_html__("Divider", 'quad-shortcodes'),
                "base" => "quad_dividers",
                'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
                "category" => esc_html__('Quad Elements', 'quad-shortcodes'),
                "params" => array(
                    array(
                        'type' => 'dropdown',
                        'holder' => 'div',
                        'heading' => esc_html__('Divider Type', 'quad-shortcodes'),
                        'param_name' => 'quad_divider_type',
                        'value' => array(
                            esc_html__('Single Line', 'quad-shortcodes') => 'single-line',
                            esc_html__('Double Line', 'quad-shortcodes') => 'double-line',
                        ),
                        'description' => esc_html__('Specify', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'css_editor',
                        'heading' => esc_html__('Css', 'quad-shortcodes'),
                        'param_name' => 'css',
                        'group' => esc_html__('Design options', 'quad-shortcodes'),
                    )
                )
            )
    );
}

class WPBakeryShortCode_quad_dividers extends WPBakeryShortCode {
    
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       Google Map Component
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_gmaps_func($atts) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_zoom' => '12',
        'quad_address' => '',
        'quad_popup' => 'false',
        'quad_height' => '690',
        'quad_type' => 'ROADMAP',
        'quad_image' => '',
        'css' => ''), $atts));

// Numeric validation
    $quad_zoom = absint($quad_zoom);
    $quad_address = esc_attr($quad_address);
    $quad_height = absint($quad_height);

    if ($quad_image == null) {
        $map_image = '';
    } else {
        $image_data = wp_get_attachment_image_src($quad_image, 'full');
        $image_url = esc_url($image_data[0]);
        $map_image = '<img src="' . $image_url . '">';
    }

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    return "<div class='map {$css_class}'><div class='google-map' data-zoom='{$quad_zoom}' 
					data-address='{$quad_address}' 
					data-caption='{$map_image}' 
					data-maptype='{$quad_type}'
					data-popup='{$quad_popup}'
                                        data-mapheight='{$quad_height}'>
					<p>" . esc_html__('This will be replaced with the Google Map.', 'quad-shortcodes') . "</p>
				</div></div>";
}

add_shortcode('quad_gmaps', 'quad_gmaps_func');

add_action('init', 'quad_integrate_vc_gmaps');

// integrates the custom element in the visual composer
function quad_integrate_vc_gmaps() {
    vc_map(
            array(
                "name" => esc_html__("Google Map", 'quad-shortcodes'),
                "base" => "quad_gmaps",
                "category" => esc_html__('Quad Elements', 'quad-shortcodes'),
                'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
                "params" => array(
                    array(
                        "type" => "textfield",
                        'holder' => 'div',
                        "heading" => esc_html__("Address", 'quad-shortcodes'),
                        "param_name" => "quad_address",
                        "description" => esc_html__("The address where the map is centered", 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'attach_image',
                        'heading' => esc_html__('Pinpoint Image', 'quad-shortcodes'),
                        'param_name' => 'quad_image',
                        'description' => esc_html__('Add the image that will appear when you click on the pin', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'checkbox',
                        'heading' => esc_html__('Pinpoint caption popup', 'quad-shortcodes'),
                        'param_name' => 'quad_popup',
                        'value' => array(esc_html__('Show', 'quad-shortcodes') => 'true')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Zoom', 'quad-shortcodes'),
                        'param_name' => 'quad_zoom',
                        'value' => '12',
                        'description' => esc_html__('Specify a zoom value between 5 and 20', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Map height', 'quad-shortcodes'),
                        'param_name' => 'quad_height',
                        'value' => '690',
                        'description' => esc_html__('Specify a height numeric value', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'dropdown',
                        'heading' => esc_html__('Map type', 'quad-shortcodes'),
                        'param_name' => 'quad_type',
                        'value' => array(
                            esc_html__('ROADMAP', 'quad-shortcodes') => 'ROADMAP',
                            esc_html__('TERRAIN', 'quad-shortcodes') => 'TERRAIN',
                            esc_html__('SATELLITE', 'quad-shortcodes') => 'SATELLITE',
                            esc_html__('HYBRID', 'quad-shortcodes') => 'HYBRID'
                        )
                    ),
                    array(
                        'type' => 'css_editor',
                        'heading' => esc_html__('Css', 'quad-shortcodes'),
                        'param_name' => 'css',
                        'group' => esc_html__('Design options', 'quad-shortcodes'),
                    )
                )
            )
    );
}

class WPBakeryShortCode_quad_gmaps extends WPBakeryShortCode {
    
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       Headline Component
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_headline_func($atts) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_title' => '',
        'quad_subtitle' => '',
        'quad_title_color' => '',
        'quad_large' => '',
        'quad_align' => 'text-center',
        'css' => ''), $atts));

    $quad_title = esc_html($quad_title);
    $quad_subtitle = esc_html($quad_subtitle);

    if ($quad_title_color != '') {
        $title_color = ' style="color:' . esc_attr($quad_title_color) . ';"';
    } else {
        $title_color = '';
    }

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    if ($quad_large == 'large') {
        return "<div class='headline headline-large {$quad_align} {$css_class}'><h1{$title_color}>{$quad_title}</h1><h2>{$quad_subtitle}</h2></div>";
    } else {
        return "<div class='headline {$quad_align} {$css_class}'><h2{$title_color}>{$quad_title}</h2><h5>{$quad_subtitle}</h5></div>";
    }
}

add_shortcode('quad_headline', 'quad_headline_func');

add_action('init', 'quad_integrate_vc_headline');

// integrates the custom element in the visual composer
function quad_integrate_vc_headline() {
    vc_map(
            array(
                'name' => esc_html__('Headline', 'quad-shortcodes'),
                'base' => 'quad_headline',
                'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
                'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
                'params' => array(
                    array(
                        'type' => 'textfield',
                        'holder' => 'div',
                        'heading' => esc_html__('Title', 'quad-shortcodes'),
                        'param_name' => 'quad_title',
                        'description' => esc_html__('Specify a title', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'colorpicker',
                        'heading' => esc_html__('Title Color', 'quad-shortcodes'),
                        'param_name' => 'quad_title_color',
                        'description' => esc_html__('Specify a color for the title or leave empty for default', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Subtitle', 'quad-shortcodes'),
                        'param_name' => 'quad_subtitle',
                        'description' => esc_html__('Specify a subtitle', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'dropdown',
                        'heading' => esc_html__('Headline align', 'quad-shortcodes'),
                        'param_name' => 'quad_align',
                        'value' => array(
                            esc_html__('Center', 'quad-shortcodes') => 'text-center',
                            esc_html__('Left', 'quad-shortcodes') => 'text-left',
                            esc_html__('Right', 'quad-shortcodes') => 'text-right'
                        )
                    ),
                    array(
                        'type' => 'checkbox',
                        'heading' => esc_html__('Large headline', 'quad-shortcodes'),
                        'param_name' => 'quad_large',
                        'value' => array(esc_html__('Enable', 'quad-shortcodes') => 'large')
                    ),
                    array(
                        'type' => 'css_editor',
                        'heading' => esc_html__('Css', 'quad-shortcodes'),
                        'param_name' => 'css',
                        'group' => esc_html__('Design options', 'quad-shortcodes'),
                    )
                )
            )
    );
}

class WPBakeryShortCode_quad_headline extends WPBakeryShortCode {
    
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       Icon Box Component
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_icon_boxes_func($atts, $content = null) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_icon' => '',
        'quad_image' => '',
        'quad_link' => '',
        'quad_title' => '',
        'quad_style' => '1',
        'css' => ''), $atts));

    if (trim($content) != '') {
        $content = wpb_js_remove_wpautop($content, true);
        $content = wp_kses_post($content);
        $content_p = "<p>{$content}</p>";
    }

    if (trim($quad_title) != '') {
        $quad_title = esc_html($quad_title);
    }

    $newtab = $link_start = $link_end = $icon = '';

    $link_details = vc_build_link($quad_link);

    if (trim($link_details['url']) != '') {

        if ($link_details['target'] !== '') {
            $newtab = " target='{$link_details['target']}'";
        }

        if ($link_details['rel'] !== '') {
            $link_details['rel'] = esc_attr($link_details['rel']);
            $rel = " rel='{$link_details['rel']}'";
        } else {
            $rel = '';
        }

        $link_details['url'] = esc_url($link_details['url']);
        $link_start = "<a href='{$link_details['url']}'{$newtab}{$rel}>";
        $link_end = "</a>";
    }

    if (trim($link_details['title']) != '') {
        $link_details['title'] = esc_html($link_details['title']);
        $read_more = "<a href='{$link_details['url']}'{$newtab}{$rel}>{$link_details['title']}</a>";
    } else {
        $read_more = '';
    }

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    if ($quad_style == '3') {
        if (trim($quad_icon) != '') {
            $quad_icon = esc_attr($quad_icon);
            $icon = "<i class='{$quad_icon}'></i>";
        }
        return "<div class='icon-box-3 {$css_class}'>{$icon}<div class='icon-box-content'><h5>{$link_start}{$quad_title}{$link_end}</h5>
		<br class='clear'>{$content}{$read_more}</div></div>";
    } else if ($quad_style == '5') {
        if (trim($quad_image) != '') {
            $image_data = wp_get_attachment_image_src($quad_image, 'full');
            $image_url = esc_url($image_data[0]);
            $image = "<img src='{$image_url}' alt=''>";
        } else {
            $image = '';
        }

        return "<div class='icon-box-5 {$css_class}'>{$image}<div class='icon-box-content'><h4>{$link_start}{$quad_title}{$link_end}</h4>{$content}{$read_more}</div></div>";
    } else {
        if (trim($quad_icon) != '') {
            $quad_icon = esc_attr($quad_icon);
            $icon = "<i class='{$quad_icon}'></i>";
        }
        return "<div class='icon-box-{$quad_style} {$css_class}'>{$icon}<div class='icon-box-content'><h5>{$link_start}{$quad_title}{$link_end}</h5>{$content}{$read_more}</div></div>";
    }
}

add_shortcode('quad_icon_boxes', 'quad_icon_boxes_func');
add_action('init', 'quad_integrate_vc_icon_boxes');

// integrates the custom element in the visual composer
function quad_integrate_vc_icon_boxes() {
    vc_map(
            array(
                'name' => esc_html__('Icon Box', 'quad-shortcodes'),
                'base' => 'quad_icon_boxes',
                'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
                'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
                'params' => array(
                    array(
                        'type' => 'dropdown',
                        'heading' => esc_html__('Iconbox Style', 'quad-shortcodes'),
                        'param_name' => 'quad_style',
                        'value' => array(
                            esc_html__('Style 1', 'quad-shortcodes') => '1',
                            esc_html__('Style 2', 'quad-shortcodes') => '2',
                            esc_html__('Style 3', 'quad-shortcodes') => '3',
                            esc_html__('Style 4', 'quad-shortcodes') => '4',
                            esc_html__('Style 5', 'quad-shortcodes') => '5'
                        )
                    ),
                    array(
                        'type' => 'textfield',
                        'holder' => 'div',
                        'heading' => esc_html__('Title', 'quad-shortcodes'),
                        'param_name' => 'quad_title',
                        'value' => esc_html__('Title', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'vc_link',
                        'heading' => esc_html__('Iconbox link', 'quad-shortcodes'),
                        'param_name' => 'quad_link',
                        'description' => esc_html__('Specify an optional link pointing to a details page', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'quad_icomoon_icons_param',
                        'heading' => esc_html__('Select icon', 'quad-shortcodes'),
                        'param_name' => 'quad_icon',
                        'dependency' => array(
                            'element' => 'quad_style',
                            'value' => array('1', '2', '3', '4')
                        ),
                        'description' => esc_html__('Select the icon you want', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'attach_image',
                        'heading' => esc_html__('Image', 'quad-shortcodes'),
                        'param_name' => 'quad_image',
                        'dependency' => array(
                            'element' => 'quad_style',
                            'value' => '5'
                        ),
                        'description' => esc_html__('Add an image', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textarea_html',
                        'heading' => esc_html__('Content', 'quad-shortcodes'),
                        'param_name' => 'content',
                        'description' => esc_html__('Add description text for the iconbox', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'css_editor',
                        'heading' => esc_html__('Css', 'quad-shortcodes'),
                        'param_name' => 'css',
                        'group' => esc_html__('Design options', 'quad-shortcodes'),
                    )
                )
            )
    );
}

class WPBakeryShortCode_quad_icon_boxes extends WPBakeryShortCode {
    
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       VC CUSTOM HORIZONTAL PROCESS COMPONENTS ELEMENTS
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_logo_list_container_func($atts, $content = null) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_count' => '',
        'css' => ''), $atts));

    $content = wpb_js_remove_wpautop($content, false);
    $quad_count = esc_attr($quad_count);

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    return "<ul class='clients elements-{$quad_count} {$css_class}'>{$content}</ul>";
}

add_shortcode('quad_logo_list_container', 'quad_logo_list_container_func');

function quad_logo_list_func($atts) {
    extract(shortcode_atts(array(
        'quad_image' => '',
        'quad_height' => '80',
        'quad_image2' => ''), $atts));

    if ($quad_image == null) {
        $image_url = '';
    } else {
        $image_data = wp_get_attachment_image_src($quad_image, 'full');
        $image_url = esc_url($image_data[0]);
    }

    if ($quad_image2 == null) {
        $image_url2 = '';
    } else {
        $image_data2 = wp_get_attachment_image_src($quad_image2, 'full');
        $image_url2 = esc_url($image_data2[0]);
    }

    $style = ' style="background-image:url(' . $image_url . ');';
    if ($quad_height != '80') {
        $style .= 'min-height:' . absint($quad_height) . ';"';
    } else {
        $style .= '"';
    }

    return "<li onMouseOver=\"this.style.backgroundImage='url({$image_url2})'\" onMouseOut=\"this.style.backgroundImage='url({$image_url})'\"{$style}>&nbsp;</li>";
}

add_shortcode('quad_logo_list', 'quad_logo_list_func');
add_action('init', 'quad_integrate_vc_logo_list_components');

// integrates the custom element in the visual composer
function quad_integrate_vc_logo_list_components() {
    vc_map(array(
        'name' => esc_html__('Logo List', 'quad-shortcodes'),
        'base' => 'quad_logo_list_container',
        'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
        'as_parent' => array('only' => 'quad_logo_list'),
        'content_element' => true,
        'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
        'show_settings_on_create' => true,
        'params' => array(
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Number of elements per line', 'quad-shortcodes'),
                'param_name' => 'quad_count',
                'value' => array(
                    esc_html__('6', 'quad-shortcodes') => '6',
                    esc_html__('5', 'quad-shortcodes') => '5',
                    esc_html__('4', 'quad-shortcodes') => '4',
                    esc_html__('3', 'quad-shortcodes') => '3',
                    esc_html__('2', 'quad-shortcodes') => '2',
                    esc_html__('1', 'quad-shortcodes') => '1',
                )
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__('Css', 'quad-shortcodes'),
                'param_name' => 'css',
                'group' => esc_html__('Design options', 'quad-shortcodes'),
            )
        ),
        'js_view' => 'VcColumnView'
    ));
    vc_map(array(
        'name' => esc_html__('Logo', 'quad-shortcodes'),
        'base' => 'quad_logo_list',
        'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
        'content_element' => true,
        'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
        'as_child' => array('only' => 'quad_logo_list_container'),
        'params' => array(
            array(
                'type' => 'attach_image',
                'heading' => esc_html__('Image', 'quad-shortcodes'),
                'param_name' => 'quad_image',
                'description' => esc_html__('Add the logo image', 'quad-shortcodes')
            ),
            array(
                'type' => 'attach_image',
                'heading' => esc_html__('Alternative Image', 'quad-shortcodes'),
                'param_name' => 'quad_image2',
                'description' => esc_html__('This image will show when mouse cursor is over the item', 'quad-shortcodes')
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Minimum Height', 'quad-shortcodes'),
                'param_name' => 'quad_height',
                'value' => '80',
                'description' => esc_html__('Specify the minimum height of the element', 'quad-shortcodes')
            ),
        )
    ));
}

if (class_exists('WPBakeryShortCodesContainer')) {

    class WPBakeryShortCode_quad_logo_list_container extends WPBakeryShortCodesContainer {
        
    }

}
if (class_exists('WPBakeryShortCode')) {

    class WPBakeryShortCode_quad_logo_list extends WPBakeryShortCode {
        
    }

}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       Milestone Component
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_milestones_func($atts, $content = null) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_stop' => '100',
        'quad_speed' => '2000',
        'css' => ''), $atts));

    $content = esc_html($content);
    $quad_stop = absint($quad_stop);
    $quad_speed = absint($quad_speed);

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    return "<div class='milestone {$css_class}'><div class='milestone-content'>                                
    <span class='milestone-value' data-stop='{$quad_stop}' data-speed='{$quad_speed}'></span>                                
    <div class='milestone-description'>{$content}</div></div></div>";
}

add_shortcode('quad_milestones', 'quad_milestones_func');

add_action('init', 'quad_integrate_vc_milestones');

// integrates the custom element in the visual composer
function quad_integrate_vc_milestones() {
    vc_map(
            array(
                'name' => esc_html__('Milestone', 'quad-shortcodes'),
                'base' => 'quad_milestones',
                'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
                'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
                'params' => array(
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Number', 'quad-shortcodes'),
                        'param_name' => 'quad_stop',
                        'value' => '100',
                        'description' => esc_html__('The final value will animate to, from 0 to the number provided by you', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Speed', 'quad-shortcodes'),
                        'param_name' => 'quad_speed',
                        'value' => '2000',
                        'description' => esc_html__('Specify the animation speed', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'holder' => 'div',
                        'heading' => esc_html__('Milestone Details', 'quad-shortcodes'),
                        'param_name' => 'content'
                    ),
                    array(
                        'type' => 'css_editor',
                        'heading' => esc_html__('Css', 'quad-shortcodes'),
                        'param_name' => 'css',
                        'group' => esc_html__('Design options', 'quad-shortcodes'),
                    )
                )
            )
    );
}

class WPBakeryShortCode_quad_milestones extends WPBakeryShortCode {
    
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       Mini Banner Component
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_mini_banner_func($atts) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_title' => '',
        'quad_title_size' => 'text-medium',
        'quad_title_color' => '',
        'quad_subtitle' => '',
        'quad_subtitle_size' => 'text-medium',
        'quad_subtitle_color' => '',
        'quad_image' => '',
        'quad_link' => '',
        'css' => ''), $atts));

    $allowed_html = array('strong' => array(), 'em' => array(), 'br' => array(), 'b' => array(), 'span' => array(), 'i' => array());
    $quad_title = wp_kses($quad_title, $allowed_html);
    $quad_subtitle = wp_kses($quad_subtitle, $allowed_html);

    if ($quad_title_color != '') {
        $title_color = ' style="color:' . esc_attr($quad_title_color) . ';"';
    } else {
        $title_color = '';
    }

    if ($quad_subtitle_color != '') {
        $subtitle_color = ' style="color:' . esc_attr($quad_subtitle_color) . ';"';
    } else {
        $subtitle_color = '';
    }

    $newtab = $rel = '';

    $link_details = vc_build_link($quad_link);

    if ($link_details['target'] !== '') {
        $newtab = " target='{$link_details['target']}'";
    }

    if ($link_details['rel'] !== '') {
        $link_details['rel'] = esc_attr($link_details['rel']);
        $rel = " rel='{$link_details['rel']}'";
    }

    $link_details['url'] = esc_url($link_details['url']);

    if (trim($link_details['title']) != '') {
        $link_details['title'] = esc_html($link_details['title']);
        $link_title = " title='{$link_details['title']}'";
    } else {
        $link_title = '';
    }

    if (trim($quad_image) != '') {
        $image_data = wp_get_attachment_image_src($quad_image, 'full');
        $image_url = esc_url($image_data[0]);
        $image = "<img src='{$image_url}' alt=''>";
    } else {
        $image = '';
    }

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    return "<a href='{$link_details['url']}' class='banner-image-container {$css_class}'{$link_title}{$newtab}{$rel}>{$image}
	<div class='text-wrapper'><h1 class='{$quad_title_size}'{$title_color}>{$quad_title}</h1>
	<h1 class='{$quad_subtitle_size} last'{$subtitle_color}>{$quad_subtitle}</h1></div></a>";
}

add_shortcode('quad_mini_banner', 'quad_mini_banner_func');
add_action('init', 'quad_integrate_vc_mini_banner');

// integrates the custom element in the visual composer
function quad_integrate_vc_mini_banner() {
    vc_map(
            array(
                'name' => esc_html__('Mini-Banner', 'quad-shortcodes'),
                'base' => 'quad_mini_banner',
                'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
                'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
                'params' => array(
                    array(
                        'type' => 'attach_image',
                        'heading' => esc_html__('Banner Image', 'quad-shortcodes'),
                        'param_name' => 'quad_image',
                        'description' => esc_html__('Add an image', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textarea',
                        'holder' => 'div',
                        'heading' => esc_html__('Title', 'quad-shortcodes'),
                        'param_name' => 'quad_title',
                        'value' => esc_html__('Banner title', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'checkbox',
                        'heading' => esc_html__('Large title', 'quad-shortcodes'),
                        'param_name' => 'quad_title_size',
                        'value' => array(esc_html__('Enable', 'quad-shortcodes') => 'text-large'),
                        'description' => esc_html__('Can make the title larger', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'colorpicker',
                        'heading' => esc_html__('Title Color', 'quad-shortcodes'),
                        'param_name' => 'quad_title_color',
                        'description' => esc_html__('Specify a color for the title or leave empty for default', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textarea',
                        'heading' => esc_html__('Subtitle', 'quad-shortcodes'),
                        'param_name' => 'quad_subtitle',
                        'value' => esc_html__('Banner subtitle', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'checkbox',
                        'heading' => esc_html__('Large subtitle', 'quad-shortcodes'),
                        'param_name' => 'quad_subtitle_size',
                        'value' => array(esc_html__('Enable', 'quad-shortcodes') => 'text-large'),
                        'description' => esc_html__('Can make the subtitle larger', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'colorpicker',
                        'heading' => esc_html__('Subtitle Color', 'quad-shortcodes'),
                        'param_name' => 'quad_subtitle_color',
                        'description' => esc_html__('Specify a color for the subtitle or leave empty for default', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'vc_link',
                        'heading' => esc_html__('Banner link', 'quad-shortcodes'),
                        'param_name' => 'quad_link',
                        'description' => esc_html__('Specify an optional link pointing to a details page', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'css_editor',
                        'heading' => esc_html__('Css', 'quad-shortcodes'),
                        'param_name' => 'css',
                        'group' => esc_html__('Design options', 'quad-shortcodes'),
                    )
                )
            )
    );
}

class WPBakeryShortCode_quad_mini_banner extends WPBakeryShortCode {
    
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       Pie Chart Component
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_pie_chart_func($atts) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_data_barcolor' => '#009cff',
        'quad_data_trackcolor' => '#e1e1e1',
        'quad_center_value' => '',
        'quad_percent' => '10',
        'quad_linewidth' => '6',
        'quad_barsize' => '195',
        'quad_icon' => '',
        'css' => ''), $atts));

    $quad_data_barcolor = esc_attr($quad_data_barcolor);
    $quad_data_trackcolor = esc_attr($quad_data_trackcolor);

    $quad_percent = absint($quad_percent);
    $quad_linewidth = absint($quad_linewidth);
    $quad_barsize = absint($quad_barsize);
    $quad_center_value = esc_html($quad_center_value);

    if (trim($quad_data_barcolor) == '') {
        $quad_data_barcolor = 'transparent';
    }
    if (trim($quad_data_trackcolor) == '') {
        $quad_data_trackcolor = 'transparent';
    }

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    return "<div class='pie-chart {$css_class}' data-percent='{$quad_percent}' data-barColor='{$quad_data_barcolor}' 
    data-trackColor='{$quad_data_trackcolor}' data-lineWidth='{$quad_linewidth}' data-barSize='{$quad_barsize}'>
    <div class='pie-chart-percent'><span></span>%</div></div><div class='pie-chart-description'>{$quad_center_value}</div>";
}

add_shortcode('quad_pie_chart', 'quad_pie_chart_func');
add_action('init', 'quad_integrate_vc_pie_chart');

// integrates the custom element in the visual composer
function quad_integrate_vc_pie_chart() {
    vc_map(
            array(
                'name' => esc_html__('Pie Chart', 'quad-shortcodes'),
                'base' => 'quad_pie_chart',
                'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
                'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
                'params' => array(
                    array(
                        'type' => 'textfield',
                        'holder' => 'div',
                        'heading' => esc_html__('Chart Title', 'quad-shortcodes'),
                        'param_name' => 'quad_center_value',
                    ),
                    array(
                        'type' => 'textfield',
                        'holder' => 'div',
                        'heading' => esc_html__('Chart percent', 'quad-shortcodes'),
                        'param_name' => 'quad_percent',
                        'value' => '10',
                        'description' => esc_html__('Specify a value from 0 to 100', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Pie Chart Bar Thickness', 'quad-shortcodes'),
                        'param_name' => 'quad_linewidth',
                        'value' => '6',
                        'description' => esc_html__('Numeric value between 5 and 15', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Bar Width', 'quad-shortcodes'),
                        'param_name' => 'quad_barsize',
                        'value' => '195',
                        'description' => esc_html__('Specify bar width', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'colorpicker',
                        'heading' => esc_html__('Bar Color', 'quad-shortcodes'),
                        'param_name' => 'quad_data_barcolor',
                        'value' => '#009cff',
                        'description' => esc_html__('Specify Bar-Color', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'colorpicker',
                        'heading' => esc_html__('Track Color', 'quad-shortcodes'),
                        'param_name' => 'quad_data_trackcolor',
                        'value' => '#e1e1e1',
                        'description' => esc_html__('Specify Track-Color', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'css_editor',
                        'heading' => esc_html__('Css', 'quad-shortcodes'),
                        'param_name' => 'css',
                        'group' => esc_html__('Design options', 'quad-shortcodes'),
                    )
                )
            )
    );
}

class WPBakeryShortCode_quad_pie_chart extends WPBakeryShortCode {
    
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       VC CUSTOM HORIZONTAL PROCESS COMPONENTS ELEMENTS
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_horizontal_process_container_func($atts, $content = null) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_class' => '',
        'css' => ''), $atts));

    $content = wpb_js_remove_wpautop($content, false);
    $quad_class = esc_attr($quad_class);
    $class_part = '';

    $content_elements = explode("<li>", $content);
    $count = count($content_elements);
    if ($count <= 3) {
        $class_part = 'two-items';
    } else if ($count == 4) {
        $class_part = 'three-items';
    } else if ($count == 5) {
        $class_part = 'four-items';
    } else {
        $class_part = 'five-items';
    }

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    return "<div class='horizontal-process-builder {$class_part} {$quad_class} {$css_class}'>{$content}</div>";
}

add_shortcode('quad_horizontal_process_container', 'quad_horizontal_process_container_func');

function quad_horizontal_process_func($atts, $content = null) {
    extract(shortcode_atts(array(
        'quad_title' => '',
        'quad_subtitle' => '',
        'quad_icon' => ''), $atts));


    if (trim($quad_icon) != '') {
        $quad_icon = esc_attr($quad_icon);
        $icon = "<i class='{$quad_icon}'></i>";
    } else {
        $icon = '';
    }

    $quad_title = esc_html($quad_title);
    $quad_subtitle = esc_html($quad_subtitle);
    $content = wp_kses_post($content);

    return "<li>{$icon}<div class='process-description'><h5>{$quad_title}</h5><span class='process-number'>{$quad_subtitle}</span>{$content}</div></li>";
}

add_shortcode('quad_horizontal_process', 'quad_horizontal_process_func');
add_action('init', 'quad_integrate_vc_horizontal_process_components');

// integrates the custom element in the visual composer
function quad_integrate_vc_horizontal_process_components() {
    vc_map(array(
        'name' => esc_html__('Process Horizontal', 'quad-shortcodes'),
        'base' => 'quad_horizontal_process_container',
        'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
        'as_parent' => array('only' => 'quad_horizontal_process'),
        'content_element' => true,
        'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
        'show_settings_on_create' => false,
        'params' => array(
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Optional class', 'quad-shortcodes'),
                'holder' => 'div',
                'param_name' => 'quad_class',
                'description' => esc_html__('Specify an optional class', 'quad-shortcodes')
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__('Css', 'quad-shortcodes'),
                'param_name' => 'css',
                'group' => esc_html__('Design options', 'quad-shortcodes'),
            )
        ),
        'js_view' => 'VcColumnView'
    ));
    vc_map(array(
        'name' => esc_html__('Process Step', 'quad-shortcodes'),
        'base' => 'quad_horizontal_process',
        'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
        'content_element' => true,
        'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
        'as_child' => array('only' => 'quad_horizontal_process_container'),
        'params' => array(
// add params same as with any other content element
            array(
                'type' => 'quad_icomoon_icons_param',
                'heading' => esc_html__('Select icon', 'quad-shortcodes'),
                'param_name' => 'quad_icon',
                'description' => esc_html__('Select the icon you want', 'quad-shortcodes')
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Title', 'quad-shortcodes'),
                'holder' => 'div',
                'param_name' => 'quad_title',
                'description' => esc_html__('Specify the title of the horizontal_process', 'quad-shortcodes')
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Subtitle', 'quad-shortcodes'),
                'param_name' => 'quad_subtitle',
                'description' => esc_html__('Specify a number or title', 'quad-shortcodes')
            ),
            array(
                'type' => 'textarea_html',
                'heading' => esc_html__('Details', 'quad-shortcodes'),
                'param_name' => 'content',
                'description' => esc_html__('Specify the details of the horizontal_process step', 'quad-shortcodes')
            )
        )
    ));
}

if (class_exists('WPBakeryShortCodesContainer')) {

    class WPBakeryShortCode_quad_horizontal_process_container extends WPBakeryShortCodesContainer {
        
    }

}
if (class_exists('WPBakeryShortCode')) {

    class WPBakeryShortCode_quad_horizontal_process extends WPBakeryShortCode {
        
    }

}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       VC CUSTOM VERTICAL PROCESS COMPONENTS ELEMENTS
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_vertical_process_container_func($atts, $content = null) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_class' => '',
        'css' => ''), $atts));

    $content = wpb_js_remove_wpautop($content, false);
    $quad_class = esc_attr($quad_class);

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    return "<div class='vertical-process-builder {$quad_class} {$css_class}'>{$content}</div>";
}

add_shortcode('quad_vertical_process_container', 'quad_vertical_process_container_func');

function quad_vertical_process_func($atts, $content = null) {
    extract(shortcode_atts(array(
        'quad_title' => '',
        'quad_icon' => ''), $atts));


    if (trim($quad_icon) != '') {
        $quad_icon = esc_attr($quad_icon);
        $top_part = "<i class='{$quad_icon}'></i>";
    } else {
        $top_part = esc_html($quad_title);
    }

    $content = wp_kses_post($content);

    return "<li><span class='process-number'>{$top_part}</span><div class='process-description'>{$content}</div></li>";
}

add_shortcode('quad_vertical_process', 'quad_vertical_process_func');
add_action('init', 'quad_integrate_vc_vertical_process_components');

// integrates the custom element in the visual composer
function quad_integrate_vc_vertical_process_components() {
    vc_map(array(
        'name' => esc_html__('Process Vertical', 'quad-shortcodes'),
        'base' => 'quad_vertical_process_container',
        'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
        'as_parent' => array('only' => 'quad_vertical_process'),
        'content_element' => true,
        'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
        'show_settings_on_create' => false,
        'params' => array(
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Optional class', 'quad-shortcodes'),
                'holder' => 'div',
                'param_name' => 'quad_class',
                'description' => esc_html__('Specify an optional class', 'quad-shortcodes')
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__('Css', 'quad-shortcodes'),
                'param_name' => 'css',
                'group' => esc_html__('Design options', 'quad-shortcodes'),
            )
        ),
        'js_view' => 'VcColumnView'
    ));
    vc_map(array(
        'name' => esc_html__('Process Step', 'quad-shortcodes'),
        'base' => 'quad_vertical_process',
        'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
        'content_element' => true,
        'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
        'as_child' => array('only' => 'quad_vertical_process_container'),
        'params' => array(
// add params same as with any other content element
            array(
                'type' => 'quad_icomoon_icons_param',
                'heading' => esc_html__('Select icon', 'quad-shortcodes'),
                'param_name' => 'quad_icon',
                'description' => esc_html__('Select the icon you want', 'quad-shortcodes')
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Title', 'quad-shortcodes'),
                'holder' => 'div',
                'param_name' => 'quad_title',
                'description' => esc_html__('Specify the title of the vertical_process', 'quad-shortcodes')
            ),
            array(
                'type' => 'textarea_html',
                'heading' => esc_html__('Details', 'quad-shortcodes'),
                'param_name' => 'content',
                'description' => esc_html__('Specify the details of the vertical_process step', 'quad-shortcodes')
            )
        )
    ));
}

if (class_exists('WPBakeryShortCodesContainer')) {

    class WPBakeryShortCode_quad_vertical_process_container extends WPBakeryShortCodesContainer {
        
    }

}
if (class_exists('WPBakeryShortCode')) {

    class WPBakeryShortCode_quad_vertical_process extends WPBakeryShortCode {
        
    }

}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       Pricing Table Component
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_pricing_table_func($atts) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_price' => '$19',
        'quad_name' => esc_html__('Basic', 'quad-shortcodes'),
        'quad_specifications' => '',
        'quad_link' => '',
        'css' => ''), $atts));

    $specifications_elements = explode('<br />', $quad_specifications);
    $quad_name = esc_html($quad_name);
    $quad_price = esc_html($quad_price);

    $link_details = vc_build_link($quad_link);

    $link_details['url'] = esc_url($link_details['url']);
    $link_details['title'] = esc_html($link_details['title']);

    $newtab = $table_link = $specifications_list = $rel = '';

    if ($link_details['target'] !== '') {
        $link_details['target'] = esc_attr($link_details['target']);
        $newtab = "target='{$link_details['target']}'";
    }

    if ($link_details['rel'] !== '') {
        $link_details['rel'] = esc_attr($link_details['rel']);
        $rel = " rel='{$link_details['rel']}'";
    }

    if (trim($link_details['url']) != '' || trim($link_details['title']) != '') {
        $table_link = "<a class='btn btn-large' href='{$link_details['url']}' {$newtab}{$rel}>{$link_details['title']}</a>";
    }

// Loops through each specifications row
    foreach ($specifications_elements as $element) {
        $specifications_list.='<li>' . esc_html($element) . '</li>';
    }

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    return "<div class='pricing-table {$css_class}'><div class='pricing-table-header'><p>{$quad_name}</p><h1>{$quad_price}</h1></div>
            <div class='pricing-table-offer'><ul>{$specifications_list}</ul></div>{$table_link}</div>";
}

add_shortcode('quad_pricing_table', 'quad_pricing_table_func');

add_action('init', 'quad_integrate_vc_pricing_table');

// integrates the custom element in the visual composer
function quad_integrate_vc_pricing_table() {
    vc_map(
            array(
                'name' => esc_html__('Pricing Table', 'quad-shortcodes'),
                'base' => 'quad_pricing_table',
                'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
                'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
                'params' => array(
                    array(
                        'type' => 'textfield',
                        'holder' => 'div',
                        'heading' => esc_html__('Plan name', 'quad-shortcodes'),
                        'param_name' => 'quad_name',
                        'value' => esc_html__('Basic', 'quad-shortcodes'),
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Cost', 'quad-shortcodes'),
                        'param_name' => 'quad_price',
                        'value' => '$19',
                    ),
                    array(
                        'type' => 'textarea',
                        'heading' => esc_html__('Plan features (add one per line)', 'quad-shortcodes'),
                        'param_name' => 'quad_specifications',
                        'description' => esc_html__('Write the specifications', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'vc_link',
                        'heading' => esc_html__('Read more button', 'quad-shortcodes'),
                        'param_name' => 'quad_link',
                        'description' => esc_html__('Specify an optional link pointing to a details page', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'css_editor',
                        'heading' => esc_html__('Css', 'quad-shortcodes'),
                        'param_name' => 'css',
                        'group' => esc_html__('Design options', 'quad-shortcodes'),
                    )
                )
            )
    );
}

class WPBakeryShortCode_quad_pricing_table extends WPBakeryShortCode {
    
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       Progress Bar Component
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_progress_bar_func($atts, $content = null) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_width' => '90',
        'css' => ''), $atts));

    $content = esc_html($content);
    $quad_width = absint($quad_width);

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    return "<div class='fixed {$css_class}'><div class='progress-bar-description'>{$content}</div><div class='progress-bar'>  
            <span class='progress-bar-outer' data-width='{$quad_width}'><span class='progress-bar-inner'></span>
            <span class='percentage'>{$quad_width}%</span></span></div></div>";
}

add_shortcode('quad_progress_bar', 'quad_progress_bar_func');

add_action('init', 'quad_integrate_vc_progress_bar');

// integrates the progess bar element in the visual composer
function quad_integrate_vc_progress_bar() {
    vc_map(
            array(
                'name' => esc_html__('Progress Bar', 'quad-shortcodes'),
                'base' => 'quad_progress_bar',
                'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
                'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
                'params' => array(
                    array(
                        'type' => 'textfield',
                        'holder' => 'div',
                        'heading' => esc_html__('Title', 'quad-shortcodes'),
                        'param_name' => 'content',
                        'value' => esc_html__('title', 'quad-shortcodes'),
                        'description' => esc_html__('The title of the progress bar', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Value', 'quad-shortcodes'),
                        'param_name' => 'quad_width',
                        'value' => '90',
                        'description' => esc_html__('Specify a value between 1 and 100, it represents the loaded percentage', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'css_editor',
                        'heading' => esc_html__('Css', 'quad-shortcodes'),
                        'param_name' => 'css',
                        'group' => esc_html__('Design options', 'quad-shortcodes'),
                    )
                )
            )
    );
}

class WPBakeryShortCode_quad_progress_bar extends WPBakeryShortCode {
    
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                      VC CUSTOM RECENT POSTS
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_recent_posts_func($atts) {
    $css = '';
    extract(shortcode_atts(array('css' => '',
        'quad_count' => '3',
        'quad_type' => 'span4',
        'quad_pagination' => '',
        'quad_title' => esc_html__('Read more', 'quad-shortcodes')
                    ), $atts));

    $args = array(
        'suppress_filters' => false,
        'post_type' => 'post',
        'post_status' => 'publish',
        'posts_per_page' => absint($quad_count),
        'ignore_sticky_posts' => 1);

    $loop = new WP_Query($args);

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    $quad_type = esc_attr($quad_type);

    $output = "<div class='recent-posts-container {$css_class}'>";

    while ($loop->have_posts()) {
        $loop->the_post();
        $post_id = get_the_ID();

        $post_title = esc_html(get_the_title());
        $post_link = esc_url(get_permalink());

        if (has_post_thumbnail()) {
            if ($quad_type == 'span4' || $quad_type == 'span3') {
                $image_data = wp_get_attachment_image_src(get_post_thumbnail_id($post_id), 'quad_post3_size');
            } else if ($quad_type == 'span6') {
                $image_data = wp_get_attachment_image_src(get_post_thumbnail_id($post_id), 'quad_post2_size');
            } else {
                $image_data = wp_get_attachment_image_src(get_post_thumbnail_id($post_id), 'quad_post1_size');
            }
            $image_url = esc_url($image_data[0]);
            $post_thumbnail = " <a href='{$post_link}' class='post-thumbnail'><img src='{$image_url}' alt='{$post_title}'></a>";
        } else {
            $post_thumbnail = '';
        }

        if (trim($quad_title) != '') {
            $read_more = "<p><a class='more-link btn' href='{$post_link}'>{$quad_title}</a></p>";
        } else {
            $read_more = '';
        }

        $post_excerpt = apply_filters("the_content", get_the_excerpt());
        $author = esc_html(get_the_author());
        $post_date = get_the_date();

        $write_comments = '';

        $num_comments = get_comments_number();
        if (comments_open()) {
            if ($num_comments == 0) {
                $comments = esc_html__('0 comments', 'quad-shortcodes');
            } elseif ($num_comments > 1) {
                $comments = $num_comments . esc_html__(' comments', 'quad-shortcodes');
            } else {
                $comments = esc_html__('1 comment', 'quad-shortcodes');
            }
            $write_comments = '<span class="comments-link"><a href="' . get_comments_link() . '">' . $comments . '</a></span>';
        } else {
            $write_comments = '<span class="comments-link"><a href="' . $post_link . '">' . esc_html__('Comments are off for this post.', 'quad-shortcodes') . '</a></span>';
        }

        $output.="<div class='quad-post-col {$quad_type}'><div class='post'>{$post_thumbnail}<div class='post-header'>
		<span class='posted-on'>{$post_date}</span><h4 class='post-title'><a rel='bookmark' href='{$post_link}'>{$post_title}</a></h4>
		<span class='byline'>{$author}</span>{$write_comments}</div><div class='post-content'>{$post_excerpt}</div>
		<div class='post-footer'>{$read_more}</div></div></div>";
    }
    wp_reset_postdata();

    if ($loop->max_num_pages > 1 && $quad_pagination == 'true') {
        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

        $pagination_args = array(
            'base' => get_pagenum_link(1) . '%_%',
            'format' => 'page/%#%',
            'total' => $loop->max_num_pages,
            'current' => $paged,
            'show_all' => False,
            'end_size' => 1,
            'mid_size' => 2,
            'prev_next' => True,
            'prev_text' => '<span class="meta-nav screen-reader-text">' . esc_html__('Previous page', 'quad-shortcodes') . ' </span>',
            'next_text' => '<span class="meta-nav screen-reader-text">' . esc_html__('Next page', 'quad-shortcodes') . ' </span>',
            'type' => 'plain',
            'add_args' => false,
            'add_fragment' => ''
        );

        $paginate_links = paginate_links($pagination_args);

        if ($paginate_links) {
        $output.='<div class="span12"><div class="navigation pagination"><div class="nav-links">'.$paginate_links.'</div></div></div>';
        }
    }

    $output.= '</div>';
    return $output;
}

add_shortcode('quad_recent_posts', 'quad_recent_posts_func');
add_action('init', 'quad_integrate_vc_recent_posts_components');

function quad_integrate_vc_recent_posts_components() {
    vc_map(array(
        'name' => esc_html__('Recent Posts', 'quad-shortcodes'),
        'base' => 'quad_recent_posts',
        'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
        'content_element' => true,
        'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
        'params' => array(
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Number of recent posts', 'quad-shortcodes'),
                'param_name' => 'quad_count',
                'value' => '3',
                'holder' => 'div',
                'description' => esc_html__('Specify how many recent posts to show', 'quad-shortcodes')
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__('Read more button title', 'quad-shortcodes'),
                'param_name' => 'quad_title',
                'value' => esc_html__('Read more', 'quad-shortcodes')
            ),
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Number of columns', 'quad-shortcodes'),
                'param_name' => 'quad_type',
                'value' => array(
                    esc_html__('3 columns', 'quad-shortcodes') => 'span4',
                    esc_html__('2 columns', 'quad-shortcodes') => 'span6',
                    esc_html__('1 column', 'quad-shortcodes') => 'span12',
                    esc_html__('4 column', 'quad-shortcodes') => 'span3'
                ),
            ),
            array(
                'type' => 'checkbox',
                'heading' => esc_html__('Enable pagination', 'quad-shortcodes'),
                'param_name' => 'quad_pagination',
                'value' => array(esc_html__('Enable', 'quad-shortcodes') => 'pagination'),
                'value' => esc_html__('Can enable paginated navigation for posts ', 'quad-shortcodes')
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__('Css', 'quad-shortcodes'),
                'param_name' => 'css',
                'group' => esc_html__('Design options', 'quad-shortcodes'),
            )
        )
    ));
}

class WPBakeryShortCode_quad_recent_posts extends WPBakeryShortCode {
    
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       Social Media Component
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_social_media_func($atts) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_social_icon' => '',
        'quad_social_link' => '',
        'css' => ''), $atts));

    $output = '';

    $quad_social_icon = esc_attr($quad_social_icon);

    $icon_parts = explode('-', $quad_social_icon);

    if (isset($icon_parts[1])) {
        $icon = $icon_parts[1];

        if ($icon == 'stack') {
            $icon.='-' . $icon_parts[2];
        }
    }

    $quad_social_link = esc_url($quad_social_link);
    $icon = esc_attr($icon);

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    return "<a href='{$quad_social_link} {$css_class}' class='{$icon}-icon social-icon' target='_blank'><i class='{$quad_social_icon}'></i></a>";
}

add_shortcode('quad_social_media', 'quad_social_media_func');
add_action('init', 'quad_integrate_vc_social_media');

// integrates the custom element in the visual composer
function quad_integrate_vc_social_media() {
    vc_map(array(
        "name" => esc_html__("Social Media", 'quad-shortcodes'),
        "base" => "quad_social_media",
        'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
        "category" => esc_html__('Quad Elements', 'quad-shortcodes'),
        "params" => array(
            array(
                "type" => "quad_fa_icons_param",
                'holder' => 'div',
                "heading" => esc_html__("Social icon", 'quad-shortcodes'),
                "param_name" => "quad_social_icon",
                "description" => esc_html__("Select social icon", 'quad-shortcodes')
            ),
            array(
                "type" => "textfield",
                'holder' => 'div',
                "heading" => esc_html__("Social link", 'quad-shortcodes'),
                "param_name" => "quad_social_link",
                "description" => esc_html__("Specify social link", 'quad-shortcodes')
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__('Css', 'quad-shortcodes'),
                'param_name' => 'css',
                'group' => esc_html__('Design options', 'quad-shortcodes'),
            )
        )
            )
    );
}

class WPBakeryShortCode_quad_social_media extends WPBakeryShortCode {
    
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       VC CUSTOM TABS
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_tabs_element_func($atts, $content = null) { // New function parameter $content is added!
    extract(shortcode_atts(array(
        'quad_name' => '',
        'quad_title' => '',
        'quad_subtitle' => '',
        'quad_icon' => '',
                    ), $atts));

    $content = wpb_js_remove_wpautop($content, true);
    $quad_name = esc_html($quad_name);
    $quad_title = esc_html($quad_title);
    $quad_subtitle = esc_html($quad_subtitle);

    $icon = '';

    if (trim($quad_icon) != '') {
        $quad_icon = esc_attr($quad_icon);
        $icon = "<i class='{$quad_icon}'></i>";
    }

    return "{$icon}<span>{$quad_name}</span>quad-separator<h2 class='text-uppercase'>{$quad_title}</h2><h5 class='text-highlight'>{$quad_subtitle}</h5><br><p>{$content}</p>quad-separator";
}

add_shortcode('quad_tabs_element', 'quad_tabs_element_func');

function quad_tabs_group_container_func($atts, $content = null) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_type' => 'default',
        'css' => ''), $atts));

    $content = wpb_js_remove_wpautop($content, false);

    $list = $tabs = '';
    $parts = explode('quad-separator', $content);
    array_pop($parts);
    $i = 0;
    $j = 1;
    if (!empty($parts)) {
        foreach ($parts as $part) {
            if ($i == 0) {
                $list.="<li><a href='#content-tab-1-{$j}'>{$part}</a></li>";
                $i = 1;
            } else if ($i == 1) {
                $tabs.="<div class='tab-content' id='content-tab-1-{$j}'>{$part}</div>";
                $i = 0;
                $j++;
            }
        }
    }

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    if ($quad_type == 'alt') {
        return "<div class='vertical-tabs-container alt {$css_class}'><ul class='tabs-menu'>{$list}</ul><div class='tabs text-right'>{$tabs}</div></div>";
    } else {
        return "<div class='vertical-tabs-container {$css_class}'><div class='tabs'>{$tabs}</div><ul class='tabs-menu'>{$list}</ul></div>";
    }
}

add_shortcode('quad_tabs_group_container', 'quad_tabs_group_container_func');

add_action('init', 'quad_integrate_vc_tabs_group_components');

// integrates the custom element in the visual composer
function quad_integrate_vc_tabs_group_components() {
    vc_map(array(
        'name' => esc_html__('Tabs Group Container', 'quad-shortcodes'),
        'base' => 'quad_tabs_group_container',
        'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
        'as_parent' => array('only' => 'quad_tabs_element'),
        'content_element' => true,
        'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
        'show_settings_on_create' => true,
        'params' => array(
            array(
                'type' => 'dropdown',
                'heading' => esc_html__('Navigation', 'quad-shortcodes'),
                'param_name' => 'quad_type',
                'value' => array(
                    esc_html__('Tabs navigation under', 'quad-shortcodes') => 'default',
                    esc_html__('Tabs navigation left side', 'quad-shortcodes') => 'alt',
                ),
                'description' => esc_html__('Specify', 'quad-shortcodes')
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__('Css', 'quad-shortcodes'),
                'param_name' => 'css',
                'group' => esc_html__('Design options', 'quad-shortcodes'),
            )
        ),
        'js_view' => 'VcColumnView'
    ));

    vc_map(
            array(
                'name' => esc_html__('Tab element', 'quad-shortcodes'),
                'base' => 'quad_tabs_element',
                'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
                'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
                'as_child' => array('only' => 'quad_tabs_group_container'),
                'params' => array(
                    array(
                        'type' => 'textfield',
                        'holder' => 'div',
                        'heading' => esc_html__('Tab Name', 'quad-shortcodes'),
                        'param_name' => 'quad_name',
                        'description' => esc_html__('Specify the tab name', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'quad_icomoon_icons_param',
                        'heading' => esc_html__('Select icon', 'quad-shortcodes'),
                        'param_name' => 'quad_icon',
                        'description' => esc_html__('Select the icon you want', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Title', 'quad-shortcodes'),
                        'param_name' => 'quad_title',
                        'description' => esc_html__('Specify the tab content title', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Subtitle', 'quad-shortcodes'),
                        'param_name' => 'quad_subtitle',
                        'description' => esc_html__('Specify the tab content subtitle', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textarea_html',
                        'heading' => esc_html__('Content', 'quad-shortcodes'),
                        'param_name' => 'content',
                        'description' => esc_html__('Specify the content of the tab', 'quad-shortcodes')
                    ),
                )
            )
    );
}

if (class_exists('WPBakeryShortCodesContainer')) {

    class WPBakeryShortCode_quad_tabs_group_container extends WPBakeryShortCodesContainer {
        
    }

}
if (class_exists('WPBakeryShortCode')) {

    class WPBakeryShortCode_quad_tabs_element extends WPBakeryShortCode {
        
    }

}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       VC CUSTOM TEAM MEMBER ELEMENTS
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_team_member_func($atts) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_name' => '',
        'quad_job' => '',
        'quad_link' => '',
        'quad_image' => '',
        'quad_pinteres' => '',
        'quad_instagram' => '',
        'quad_facebook' => '',
        'quad_twitter' => '',
        'quad_linkedin' => '',
        'quad_youtube' => '',
        'quad_google_plus' => '',
        'css' => ''
                    ), $atts));

    if ($quad_name != null) {
        $quad_name = '<h5>' . esc_html($quad_name) . '</h5>';
    }
    if ($quad_job != null) {
        $quad_job = '<p>' . esc_html($quad_job) . '</p>';
    }

    $facebook = $twitter = $googleplus = $linkedin = $youtube = $pinteres = $instagram = $link_start = $link_end = $newtab = $rel = '';

    $link_details = vc_build_link($quad_link);

    if (trim($link_details['url']) != '') {

        if ($link_details['target'] !== '') {
            $link_details['target'] = esc_attr($link_details['target']);
            $newtab = "target='{$link_details['target']}'";
        }
        if ($link_details['rel'] !== '') {
            $link_details['rel'] = esc_attr($link_details['rel']);
            $rel = " rel='{$link_details['rel']}'";
        }

        $link_details['url'] = esc_url($link_details['url']);
        if (trim($link_details['title']) != '') {
            $link_title = esc_html($link_details['title']);
        } else {
            $link_title = '';
        }
        $link_start = "<a href='{$link_details['url']}' {$newtab} title='{$link_title}'{$rel}>";
        $link_end = "</a>";
    }

    if ($quad_image == null) {
        $image = '';
    } else {
        $image_data = wp_get_attachment_image_src($quad_image, 'full');
        $image_url = esc_url($image_data[0]);
        $image = "<img src='{$image_url}' alt=''>";
    }

    if (trim($quad_google_plus) != null) {
        $quad_google_plus = esc_url($quad_google_plus);
        $googleplus = "<a class='googleplus-icon social-icon' href='{$quad_google_plus}' target='_blank'><i class='fa fa-google-plus'></i></a>";
    }

    if (trim($quad_instagram) != null) {
        $quad_instagram = esc_url($quad_instagram);
        $instagram = "<a class='instagram-icon social-icon' href = '{$quad_instagram}' target='_blank'><i class='fa fa-instagram'></i></a>";
    }

    if (trim($quad_pinteres) != null) {
        $quad_pinteres = esc_url($quad_pinteres);
        $pinteres = "<a class='pinterest-icon social-icon' href = '{$quad_pinteres}' target='_blank'><i class='fa fa-pinterest'></i></a>";
    }

    if (trim($quad_facebook) != null) {
        $quad_facebook = esc_url($quad_facebook);
        $facebook = "<a class='facebook-icon social-icon' href = '{$quad_facebook}' target='_blank'><i class='fa fa-facebook'></i></a>";
    }

    if (trim($quad_twitter) != null) {
        $quad_twitter = esc_url($quad_twitter);
        $twitter = "<a class='twitter-icon social-icon' href = '{$quad_twitter}' target='_blank'><i class='fa fa-twitter'></i></a>";
    }
    if (trim($quad_youtube) != null) {
        $quad_youtube = esc_url($quad_youtube);
        $youtube = "<a class='youtube-icon social-icon' href = '{$quad_youtube}' target='_blank'><i class='fa fa-youtube'></i></a>";
    }
    if (trim($quad_linkedin) != null) {
        $quad_linkedin = esc_url($quad_linkedin);
        $linkedin = "<a class='linkedin-icon social-icon' href = '{$quad_linkedin}' target='_blank'><i class='fa fa-linkedin'></i></a>";
    }

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    return "<div class='team-member {$css_class}'>{$image}<div class='team-member-details'>{$link_start}{$quad_name}{$link_end}{$quad_job}</div>
	<div class='social-media'>{$facebook}{$instagram}{$twitter}{$googleplus}{$linkedin}{$youtube}{$pinteres}</div></div>";
}

add_shortcode('quad_team_member', 'quad_team_member_func');
add_action('init', 'quad_integrate_vc_team_member');

// integrates the custom element in the visual composer
function quad_integrate_vc_team_member() {
    vc_map(
            array(
                'name' => esc_html__('Team Member', 'quad-shortcodes'),
                'base' => 'quad_team_member',
                'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
                'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
                'params' => array(
                    array(
                        'type' => 'attach_image',
                        'heading' => esc_html__('Image', 'quad-shortcodes'),
                        'param_name' => 'quad_image',
                        'description' => esc_html__('Add the image of the team member', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'holder' => 'div',
                        'heading' => esc_html__('Name', 'quad-shortcodes'),
                        'param_name' => 'quad_name',
                        'value' => esc_html__('Sample name', 'quad-shortcodes'),
                        'description' => esc_html__('Specify the name of the member', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Job Title', 'quad-shortcodes'),
                        'param_name' => 'quad_job',
                        'value' => esc_html__('Job Title', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'vc_link',
                        'heading' => esc_html__('Team member link', 'quad-shortcodes'),
                        'param_name' => 'quad_link',
                        'description' => esc_html__('Specify a link for the team member', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Facebook', 'quad-shortcodes'),
                        'param_name' => 'quad_facebook',
                        'description' => esc_html__('Add an optional link to Facebook profile page, leave blank if not available', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Instagram', 'quad-shortcodes'),
                        'param_name' => 'quad_instagram',
                        'description' => esc_html__('Add an optional link to Instagram profile page, leave blank if not available', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Twitter', 'quad-shortcodes'),
                        'param_name' => 'quad_twitter',
                        'description' => esc_html__('Add an optional link to Twitter profile page, leave blank if not available', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Google Plus', 'quad-shortcodes'),
                        'param_name' => 'quad_google_plus',
                        'description' => esc_html__('Add an optional link to Google Plus profile page, leave blank if not available', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Linkedin', 'quad-shortcodes'),
                        'param_name' => 'quad_linkedin',
                        'description' => esc_html__('Add an optional link to Linkedin profile page, leave blank if not available', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Youtube', 'quad-shortcodes'),
                        'param_name' => 'quad_youtube',
                        'description' => esc_html__('Add an optional link to Youtube profile page, leave blank if not available', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Pinteres', 'quad-shortcodes'),
                        'param_name' => 'quad_pinteres',
                        'description' => esc_html__('Add an optional link to Pinteres profile page, leave blank if not available', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'css_editor',
                        'heading' => esc_html__('Css', 'quad-shortcodes'),
                        'param_name' => 'css',
                        'group' => esc_html__('Design options', 'quad-shortcodes'),
                    )
                )
            )
    );
}

class WPBakeryShortCode_quad_team_member extends WPBakeryShortCode {
    
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       Testimonial Component
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_testimonial_func($atts, $content = null) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_name' => '',
        'quad_image' => '',
        'quad_job' => '',
        'quad_quote' => '',
        'css' => ''), $atts));

    $quad_name = esc_html($quad_name);
    $quad_job = esc_html($quad_job);
    $content = wpb_js_remove_wpautop($content, true);
    $content = wp_kses_post($content);

    if ($quad_image == null) {
        $image = '';
    } else {
        $image_data = wp_get_attachment_image_src($quad_image, 'full');
        $image_url = esc_url($image_data[0]);
        $image = "<img src='{$image_url}' alt=''>";
    }

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    if ($quad_quote == 'enable') {
        return "<div class='item'><div class='testimonial {$css_class}'>{$image}<h3>{$quad_name}</h3><span>{$quad_job}</span><blockquote class='alt'>{$content}</blockquote></div></div>";
    } else {
        return "<div class='item'><div class='testimonial {$css_class}'>{$image}<h3>{$quad_name}</h3><span>{$quad_job}</span><blockquote>{$content}</blockquote></div></div>";
    }
}

add_shortcode('quad_testimonial', 'quad_testimonial_func');
add_action('init', 'quad_integrate_vc_testimonial');

// integrates the custom element in the visual composer
function quad_integrate_vc_testimonial() {
    vc_map(
            array(
                'name' => esc_html__('Testimonial', 'quad-shortcodes'),
                'base' => 'quad_testimonial',
                'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
                'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
                'params' => array(
                    array(
                        'type' => 'textfield',
                        'holder' => 'div',
                        'heading' => esc_html__('Name', 'quad-shortcodes'),
                        'param_name' => 'quad_name',
                        'value' => esc_html__('Sample name', 'quad-shortcodes'),
                        'description' => esc_html__('Specify the name of the testimonial author', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'textfield',
                        'heading' => esc_html__('Job', 'quad-shortcodes'),
                        'param_name' => 'quad_job',
                        'description' => esc_html__('Specify the job of the testimonial author', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'attach_image',
                        'heading' => esc_html__('Image', 'quad-shortcodes'),
                        'param_name' => 'quad_image',
                        'description' => esc_html__('Add an image', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'checkbox',
                        'heading' => esc_html__('Large quote', 'quad-shortcodes'),
                        'param_name' => 'quad_quote',
                        'value' => array(esc_html__('Enable', 'quad-shortcodes') => 'enable')
                    ),
                    array(
                        'type' => 'textarea_html',
                        'heading' => esc_html__('Testimonial quote', 'quad-shortcodes'),
                        'param_name' => 'content',
                        'description' => esc_html__('Specify the text of the testimonial', 'quad-shortcodes')
                    ),
                    array(
                        'type' => 'css_editor',
                        'heading' => esc_html__('Css', 'quad-shortcodes'),
                        'param_name' => 'css',
                        'group' => esc_html__('Design options', 'quad-shortcodes'),
                    )
                )
            )
    );
}

class WPBakeryShortCode_quad_testimonial extends WPBakeryShortCode {
    
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                       VC CUSTOM TESTIMONIAL SLIDER ELEMENTS
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function quad_testimonial_slider_container_func($atts, $content = null) {
    $css = '';
    extract(shortcode_atts(array(
        'quad_class' => '',
        'css' => ''), $atts));

    $content = wpb_js_remove_wpautop($content, false);

    $quad_class = esc_attr($quad_class);

    $css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($css, ' '), '', $atts);
    $css_class = esc_attr($css_class);

    return "<div class='testimonial-slider {$quad_class} {$css_class}'><div class='slides'>{$content}</div></div>";
}

add_shortcode('quad_testimonial_slider_container', 'quad_testimonial_slider_container_func');

add_action('init', 'quad_integrate_vc_testimonial_slider_components');

// integrates the custom element in the visual composer
function quad_integrate_vc_testimonial_slider_components() {
    vc_map(array(
        'name' => esc_html__('Testimonial Slider Container', 'quad-shortcodes'),
        'base' => 'quad_testimonial_slider_container',
        'category' => esc_html__('Quad Elements', 'quad-shortcodes'),
        'as_parent' => array('only' => 'quad_testimonial'),
        'content_element' => true,
        'icon' => QUAD_SHOTCODES_PATH . 'images/vc-icon.png',
        'show_settings_on_create' => false,
        'params' => array(
            array(
                'type' => 'textfield',
                'holder' => 'div',
                'heading' => esc_html__('Optional Class', 'quad-shortcodes'),
                'param_name' => 'quad_class',
                'value' => '',
                'description' => esc_html__('Specify an optional extra class', 'quad-shortcodes')
            ),
            array(
                'type' => 'css_editor',
                'heading' => esc_html__('Css', 'quad-shortcodes'),
                'param_name' => 'css',
                'group' => esc_html__('Design options', 'quad-shortcodes'),
            )
        ),
        'js_view' => 'VcColumnView'
    ));
}

if (class_exists('WPBakeryShortCodesContainer')) {

    class WPBakeryShortCode_quad_testimonial_slider_container extends WPBakeryShortCodesContainer {
        
    }

}