<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://themeforest.net/user/europadns/
 * @since             1.0.0
 * @package           Quad Shortcodes
 *
 * @wordpress-plugin
 * Plugin Name:       Quad Shortcodes
 * Plugin URI:        http://themeforest.net/user/europadns/
 * Description:       A very simple plugin that adds the Quad theme shortcodes.
 * Version:           1.0.0
 * Author:            EuropaDNS
 * Author URI:        http://themeforest.net/user/europadns/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       quad-shortcodes
 * Domain Path:       /languages
 */
// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

define('QUAD_SHORTCODES', 'quad-shortcodes-plugin');

define('QUAD_SHOTCODES_PATH', plugins_url('assets/', __FILE__));

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-quad-shortcodes-activator.php
 */
function activate_quad_shortcodes() {
    require_once plugin_dir_path(__FILE__) . 'includes/class-quad-shortcodes-activator.php';
    quad_shortcodes_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-quad-shortcodes-deactivator.php
 */
function deactivate_quad_shortcodes() {
    require_once plugin_dir_path(__FILE__) . 'includes/class-quad-shortcodes-deactivator.php';
    quad_shortcodes_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_quad_shortcodes');
register_deactivation_hook(__FILE__, 'deactivate_quad_shortcodes');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-quad-shortcodes.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_quad_shortcodes() {

    $plugin = new quad_shortcodes();
    $plugin->run();
}

run_quad_shortcodes();
add_action('plugins_loaded', 'quad_vc_shortcodes');

function quad_vc_shortcodes() {
    if (defined('WPB_VC_VERSION')) {
        vc_set_shortcodes_templates_dir(plugin_dir_path(__FILE__) . 'includes/');
        include_once (plugin_dir_path(__FILE__) . 'includes/quad-vc-shortcodes.php');
    }
}
