<?php
/**
 * The template for displaying the footer
 */
if (!defined('ABSPATH')) {
    exit();
}

$fullwidth = 0;
if (is_search()) {
    $sidebar_position = quad_options_var('quad-search-sidebar-position');
    $fullwidth = 0;
} else {
    $relevant_id = quad_relevant_id();
    $sidebar_position = get_post_meta($relevant_id, 'quad_sidebar_position', true);

    if ($relevant_id == 0) {
        $sidebar_position = 'right';
    }

    if (defined('WPB_VC_VERSION')) {
        $vc_enabled = get_post_meta($relevant_id, '_wpb_vc_js_status', true);
    } else {
        $vc_enabled = null;
    }

    if ($vc_enabled == 'true') {
        $fullwidth = 1;
    } else {
        if (get_post_meta($relevant_id, 'quad_fullwidth_enable', true) == '1') {
            $fullwidth = 1;
        }
    }
}

if (!empty($sidebar_position) && $sidebar_position != 'none') {
    echo '</div>';

    if (!empty($sidebar_position)) {
        if ($sidebar_position == 'right') {
            get_sidebar();
        }
    }

    echo '</div></div>';
} else if ($fullwidth == 0) {
    echo '</div></div></div>';
}
?>
</div><!-- content / End -->
<?php
$quad_footer_middle_layout = quad_options_var('quad-footer-middle-layout');
if (quad_options_var('quad-footer-middle-switch') == 1):
    ?>
    <div id="footer">
        <div class="container">
            <div class="row">

                <?php
                // Sets widget area classes for middle footer
                $middle_layout_class = "span3";

                if ($quad_footer_middle_layout == 3) {
                    $middle_layout_class = "span4";
                } elseif ($quad_footer_middle_layout == 2) {
                    $middle_layout_class = "span6";
                } elseif ($quad_footer_middle_layout == 1) {
                    $middle_layout_class = "span12 text-center";
                }
                $count = 1;
                for ($count; $count <= $quad_footer_middle_layout; $count++) {
                    ?>
                    <div class="<?php echo esc_attr($middle_layout_class); ?>">
                             <?php
                             if (function_exists('dynamic_sidebar')) {

                                 if (is_active_sidebar('quad-footer-middle-sidebar-' . $count)) {
                                     dynamic_sidebar('quad-footer-middle-sidebar-' . $count);
                                 } else {
                                     ?>
                                <div class="quad-no-area-content"><?php echo esc_html__('Footer Widget Area ', 'quad-wp') . esc_html($count); ?></div>
                                <?php
                            }
                        }
                        ?>

                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
    <?php
endif;
$quad_footer_bottom_layout = quad_options_var('quad-footer-bottom-layout');
if (quad_options_var('quad-footer-bottom-switch') == 1):
    ?>
    <div id="footer-bottom">
        <div class="container">
            <div class="row">

                <?php
                // Sets widget area classes for bottom footer
                $bottom_layout_class = "span3";

                if ($quad_footer_bottom_layout == 3) {
                    $bottom_layout_class = "span4";
                } elseif ($quad_footer_bottom_layout == 2) {
                    $bottom_layout_class = "span6";
                } elseif ($quad_footer_bottom_layout == 1) {
                    $bottom_layout_class = "span12 text-center";
                }
                $count = 1;
                for ($count; $count <= $quad_footer_bottom_layout; $count++) {
                    ?>
                    <div class="<?php echo esc_attr($bottom_layout_class); ?>">
                             <?php
                             if (function_exists('dynamic_sidebar')) {

                                 if (is_active_sidebar('quad-footer-bottom-sidebar-' . $count)) {
                                     dynamic_sidebar('quad-footer-bottom-sidebar-' . $count);
                                 } else {
                                     ?>
                                <div class="quad-no-area-content"><?php echo esc_html__('Footer Widget Area ', 'quad-wp') . esc_html($count); ?></div>
                                <?php
                            }
                        }
                        ?>

                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
<?php endif; ?>
<!-- //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// -->

</div><!-- wrapper / End -->

<a id="back-to-top" href="#">
    <i class="ifc-up4"></i>
</a>

<?php wp_footer(); ?>

</body>
</html>