<?php

if (!defined('ABSPATH')) {
    exit();
}
if (defined('WPB_VC_VERSION')) {
// Directs VC to the templates
    vc_set_shortcodes_templates_dir(get_template_directory() . '/framework/composer/');

    function quad_remove_vc_templates($data) {
        return array(); // This will remove all default templates. Basically you should use native PHP functions to modify existing array and then return it.
    }

// using wp filter hook to remove shortcodes from the list;
    add_filter('vc_load_default_templates', 'quad_remove_vc_templates');

    $font_attributes = array(
        'type' => 'colorpicker',
        'heading' => esc_html__('Font color', 'quad-wp'),
        'param_name' => 'quad_row_font_color',
        'description' => esc_html__('Select a font color for this row', 'quad-wp'),
    );
    vc_add_param('vc_row', $font_attributes);

    $stretch = array(
        'type' => 'dropdown',
        'heading' => esc_html__('Row stretch', 'quad-wp'),
        'param_name' => 'full_width',
        'value' => array(
            esc_html__('Default', 'quad-wp') => '',
            esc_html__('Stretch row', 'quad-wp') => 'stretch_row',
            esc_html__('Stretch row and content', 'quad-wp') => 'stretch_row_content_no_spaces'
        ),
        'description' => esc_html__('Select stretching options for row and content. Stretched row overlay sidebar and may not work if parent container has overflow: hidden css property.', 'quad-wp')
    );
    vc_add_param('vc_row', $stretch);

    $parallax_attributes = array(
        'type' => 'dropdown',
        'heading' => esc_html__('Parallax', 'quad-wp'),
        'param_name' => 'parallax',
        'value' => array(
            esc_html__('None', 'quad-wp') => '',
            esc_html__('Simple', 'quad-wp') => 'content-moving',
            esc_html__('With fade', 'quad-wp') => 'content-moving-fade',
            esc_html__('Theme parallax', 'quad-wp') => 'theme-parallax',
            esc_html__('Theme horizontal parallax', 'quad-wp') => 'horizontal-parallax',
            esc_html__('Theme animated parallax', 'quad-wp') => 'animated-parallax',
        ),
        'description' => esc_html__('Select parallax type background for row', 'quad-wp'),
        'dependency' => array(
            'element' => 'video_bg',
            'is_empty' => true,
        )
    );
    vc_add_param('vc_row', $parallax_attributes);

}
