<?php
$custom_posts = get_post_types(array(
    'public' => true,
    '_builtin' => false
        ));

$sidebar_id=null;
if (is_search()) {
    $sidebar_id = quad_options_var('quad-search-sidebar');
} else if (is_page() || in_array(get_post_type(), $custom_posts)) {
    // Sidebar data for each page
    $current_page_id = get_queried_object_id();
    $sidebar_position = get_post_meta($current_page_id, 'quad_sidebar_position', true);
    if (!empty($sidebar_position) && $sidebar_position != 'none') {
        $sidebar_id = get_post_meta($current_page_id, 'quad_sidebar_source', true);
    }
} else if (is_singular('post')) {
    $sidebar_id = get_post_meta(get_the_id(), 'quad_sidebar_source', true);
} else {
    // Sidebar data for the rest of the post types (blog sidebar)
    $page_for_posts = get_option('page_for_posts');
    $sidebar_id = get_post_meta($page_for_posts, 'quad_sidebar_source', true);
    if ($page_for_posts == 0) {
        $sidebar_id = 'quad-default-sidebar';
    }
}
if (class_exists('woocommerce')) {

    if (is_singular('product')) {
        $sidebar_position = get_post_meta(get_the_id(), 'quad_sidebar_position', true);
        if (!empty($sidebar_position) && $sidebar_position != 'none') {
            $sidebar_id = get_post_meta(get_the_id(), 'quad_sidebar_source', true);
        }
    } else if (is_woocommerce()) {
        $sidebar_position = get_post_meta(get_option('woocommerce_shop_page_id'), 'quad_sidebar_position', true);
        if (!empty($sidebar_position) && $sidebar_position != 'none') {
            $sidebar_id = get_post_meta(get_option('woocommerce_shop_page_id'), 'quad_sidebar_source', true);
        }
    }
}

if (!empty($sidebar_id)) {
    if (function_exists('dynamic_sidebar')) {
            echo '<div id="quad-sidebar" class="span3">';
        dynamic_sidebar($sidebar_id);
        echo '</div>';
    }
}