<?php
/**
 * Template Name: Posts in 3 columns
 * The template for displaying blog posts in 3 columns
 */
if (!defined('ABSPATH')) {
    exit();
}
get_header();

the_post();
the_content();

$post_id = get_the_id();
?> 
<div class="container clear-padding blog-3-cols">	
    <div class="row">
        <div class="span-12">
            <?php
            $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
            $args = array(
                'suppress_filters' => false,
                'post_type' => 'post',
                'paged' => $paged,
                'post_status' => 'publish');

            $loop = new WP_Query($args);
            if ($loop->have_posts()) {

                $i = 0;
                while ($loop->have_posts()) : $loop->the_post();
                    if ($i == 0) {
                        echo'<div class="row">';
                    }
                    echo'<div class="span4">';
                    get_template_part('template-parts/content', '3cols');
                    echo'</div>';
                    $i++;
                    if ($i == 3) {
                        echo'</div>';
                        $i = 0;
                    }
                endwhile;

                if ($i != 0) {
                    echo'</div>';
                }

                if ($loop->max_num_pages > 1) {
                    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

                    $pagination_args = array(
                        'base' => get_pagenum_link(1) . '%_%',
                        'format' => 'page/%#%',
                        'total' => $loop->max_num_pages,
                        'current' => $paged,
                        'show_all' => False,
                        'end_size' => 1,
                        'mid_size' => 2,
                        'prev_next' => True,
                        'prev_text' => '<span class="meta-nav screen-reader-text">' . esc_html__('Previous page', 'quad-wp') . ' </span>',
                        'next_text' => '<span class="meta-nav screen-reader-text">' . esc_html__('Next page', 'quad-wp') . ' </span>',
                        'type' => 'plain',
                        'add_args' => false,
                        'add_fragment' => ''
                    );

                    $paginate_links = paginate_links($pagination_args);

                    if ($paginate_links) {
                        ?>
                        <div class="navigation pagination">
                            <div class="nav-links">
                                <?php echo paginate_links($pagination_args); ?>
                            </div>   
                        </div>  
                        <?php
                    }
                }
            } else {
                get_template_part('templates/content', 'none');
            }
            wp_reset_postdata();
            ?>
        </div>   
    </div> 
</div> 
<?php
get_footer();
