<?php
/**
 * The template for displaying a "No posts found" message
 */
if (!defined('ABSPATH')) {
    exit();
}
?>
<div class="container clear-padding">
    <div class="row">
        <div class="span6">
            <header>
                <h3><?php esc_html_e('Nothing Found', 'quad-wp'); ?></h3>
            </header>

            <div>
                <?php if (is_home() && current_user_can('publish_posts')) : ?>

                    <p><?php
                        echo esc_html__('Ready to publish your first post? ', 'quad-wp')
                        . '<a href="' . esc_url(admin_url('post-new.php')) . '">'
                        . esc_html__('Get started here', 'quad-wp') . '</a>.';
                        ?></p>

                <?php elseif (is_search()) : ?>

                    <p><?php echo esc_html__('There are no search results for ', 'quad-wp') . get_search_query(); ?></p>
                    <?php get_search_form(); ?>

                <?php else : ?>

                    <p><?php esc_html_e('It seems we cannot find what you are looking for. Perhaps searching can help.', 'quad-wp'); ?></p>
                    <?php get_search_form(); ?>

                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
<br>
<br>
<br>