<?php
/*
 * Template used for displaying the single posts content
 */
if (!defined('ABSPATH')) {
    exit();
}
?>
<div <?php post_class(); ?>>

    <div class="container clear-padding">
        <div class="row">
            <div class="span12">
                <?php if (has_post_thumbnail()) { ?>	
                    <a href="<?php the_permalink(); ?>" class="post-thumbnail">
                        <?php the_post_thumbnail(); ?>
                    </a>
                <?php } ?>

                <div class="post-header">

                    <span class="posted-on"><?php echo get_the_date(); ?></span>

                    <h4 class="post-title">
                        <a rel="bookmark" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h4>

                    <span class="byline"><?php echo get_the_author(); ?></span>

                    <span class="comments-link"><a title="<?php esc_html_e('Comment on Post ', 'quad-wp') ?>" href="<?php comments_link(); ?>">
                        <?php comments_number(esc_html__('0 comments', 'quad-wp'), esc_html__('1 comment', 'quad-wp'), esc_html__('% comments', 'quad-wp')); ?></a></span>
                    

                </div><!-- .post-header -->

            </div> 
        </div> 
    </div> 

    <div class="post-content">

        <?php the_content(); ?>

        <div class="container clear-padding">
            <div class="row">
                <div class="span12">
                    <?php
                    wp_link_pages();
                    posts_nav_link();
                    if (has_tag()) {
                        echo '<br><div class="single-post-tags">';
                        the_tags();
                        echo '</div>';
                    }
                    if (has_category()) {
                        esc_html_e('Categories: ', 'quad-wp');
                        the_category(', ');
                    }
                    ?>
                </div>
            </div>
        </div>

    </div><!-- .post-content -->

</div><!-- end .post -->

<div class="container clear-padding">
    <div class="row">
        <div class="span12">
            <?php comments_template(); ?>
        </div>
    </div>
</div>