<?php
/**
 * The template for displaying posts with no or standard format
 */
if (!defined('ABSPATH')) {
    exit();
}
?>
<div <?php
if (is_sticky()) {
    post_class('sticky');
} else {
    post_class();
}
?>>

    <?php if (has_post_thumbnail()) { ?>	
        <a href="<?php the_permalink(); ?>" class="post-thumbnail">
            <?php the_post_thumbnail(); ?>
        </a>
    <?php } ?>

    <div class="post-header">

        <span class="posted-on"><?php echo get_the_date(); ?></span>

        <h4 class="post-title">
            <a rel="bookmark" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
        </h4>

        <span class="byline"><?php echo get_the_author(); ?></span>

        <span class="comments-link">
            <a title="<?php esc_html_e('Comment on Post ', 'quad-wp') ?>" href="<?php comments_link(); ?>">
                <?php comments_number(esc_html__('0 comments', 'quad-wp'), esc_html__('1 comment', 'quad-wp'), esc_html__('% comments', 'quad-wp')); ?>
            </a>
        </span>		

    </div>

    <div class="post-content">
        <?php the_content(); 
        wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'quad-wp' ),
				'after'  => '</div>',
			) );?>
    </div>

    <div class="post-footer">
    </div>

</div>